//---------------------------------------------------------------------------

#ifndef AbstractGeneratorFormUnitH
#define AbstractGeneratorFormUnitH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include <ComCtrls.hpp>
#include "FXProcs.h"
//---------------------------------------------------------------------------
class TAbstractGeneratorForm : public TForm
{
__published:	// IDE-managed Components
        TGroupBox *SizeGroupBox;
        TLabel *Label1;
        TLabel *Label2;
        TComboBox *WidthBox;
        TComboBox *HeightBox;
        TGroupBox *ShapeGroupBox;
        TLabel *Label3;
        TLabel *Label4;
        TTrackBar *NumberTrackBar;
        TEdit *LevelEdit;
        TSpeedButton *OkSpeedButton;
        TSpeedButton *CancelSpeedButton;
        void __fastcall OkSpeedButtonClick(TObject *Sender);
        void __fastcall CancelSpeedButtonClick(TObject *Sender);
        void __fastcall WidthBoxKeyPress(TObject *Sender, char &Key);
private:	// User declarations
public:		// User declarations
        __fastcall TAbstractGeneratorForm(TComponent* Owner);
        int newWidth;
        int newHeight;
        Extended level;
};
//---------------------------------------------------------------------------
extern PACKAGE TAbstractGeneratorForm *AbstractGeneratorForm;
//---------------------------------------------------------------------------
#endif
