//---------------------------------------------------------------------------

#ifndef AdvancedBitmapH
#define AdvancedBitmapH
//---------------------------------------------------------------------------
#include <Graphics.hpp>
//---------------------------------------------------------------------------
class TAdvancedBitmap : public TBitmap
{
  friend class TBitmapImage;
private:
/*
	TBitmapImage* FImage;
	TCanvas* FCanvas;
	bool FIgnorePalette;
	bool FMaskBitsValid;
	bool FMaskValid;
	TColor FTransparentColor;
	TTransparentMode FTransparentMode;
	void __fastcall Changing(System::TObject* Sender);
	void __fastcall CopyImage(HBITMAP AHandle, HPALETTE APalette, const tagDIBSECTION &DIB);
	void __fastcall DIBNeeded(void);
	void __fastcall FreeContext(void);
	TCanvas* __fastcall GetCanvas(void);
	virtual HBITMAP __fastcall GetHandle(void);
	TBitmapHandleType __fastcall GetHandleType(void);
	virtual HBITMAP __fastcall GetMaskHandle(void);
	bool __fastcall GetMonochrome(void);
	TPixelFormat __fastcall GetPixelFormat(void);
	void * __fastcall GetScanline(int Row);
	TColor __fastcall GetTransparentColor(void);
	void __fastcall NewImage(HBITMAP NewHandle, HPALETTE NewPalette, const tagDIBSECTION &NewDIB, bool 
		OS2Format, Classes::TStream* RLEStream);
	void __fastcall ReadStream(Classes::TStream* Stream, int Size);
	void __fastcall ReadDIB(Classes::TStream* Stream, unsigned ImageSize);
	void __fastcall SetHandle(HBITMAP Value);
	virtual void __fastcall SetHandleType(TBitmapHandleType Value);
	void __fastcall SetMaskHandle(HBITMAP Value);
	void __fastcall SetMonochrome(bool Value);
	void __fastcall SetPixelFormat(TPixelFormat Value);
	void __fastcall SetTransparentColor(TColor Value);
	void __fastcall SetTransparentMode(TTransparentMode Value);
	bool __fastcall TransparentColorStored(void);
	void __fastcall WriteStream(Classes::TStream* Stream, bool WriteSize);
*/
protected:
/*
	virtual void __fastcall Changed(System::TObject* Sender);
	virtual void __fastcall Draw(TCanvas* ACanvas, const Windows::TRect &Rect);
	virtual bool __fastcall GetEmpty(void);
	virtual int __fastcall GetHeight(void);
	virtual HPALETTE __fastcall GetPalette(void);
	virtual int __fastcall GetWidth(void);
	void __fastcall HandleNeeded(void);
	void __fastcall MaskHandleNeeded(void);
	void __fastcall PaletteNeeded(void);
	virtual void __fastcall ReadData(Classes::TStream* Stream);
	virtual void __fastcall SetHeight(int Value);
	virtual void __fastcall SetPalette(HPALETTE Value);
	virtual void __fastcall SetWidth(int Value);
	virtual void __fastcall WriteData(Classes::TStream* Stream);
*/
public:
	__fastcall TAdvancedBitmap(void);
	__fastcall ~TAdvancedBitmap(void);
/*
	virtual void __fastcall Assign(Classes::TPersistent* Source);
	void __fastcall Dormant(void);
	void __fastcall FreeImage(void);
	virtual void __fastcall LoadFromClipboardFormat(Word AFormat, unsigned AData, HPALETTE APalette);
	virtual void __fastcall LoadFromStream(Classes::TStream* Stream);
	void __fastcall LoadFromResourceName(unsigned Instance, const AnsiString ResName);
	void __fastcall LoadFromResourceID(unsigned Instance, int ResID);
	void __fastcall Mask(TColor TransparentColor);
	HBITMAP __fastcall ReleaseHandle(void);
	HBITMAP __fastcall ReleaseMaskHandle(void);
	HPALETTE __fastcall ReleasePalette(void);
	virtual void __fastcall SaveToClipboardFormat(Word &Format, unsigned &Data, HPALETTE &APalette);
	virtual void __fastcall SaveToStream(Classes::TStream* Stream);
	__property TCanvas* Canvas = {read=GetCanvas};
	__property HBITMAP Handle = {read=GetHandle, write=SetHandle, nodefault};
	__property TBitmapHandleType HandleType = {read=GetHandleType, write=SetHandleType, nodefault};
	__property bool IgnorePalette = {read=FIgnorePalette, write=FIgnorePalette, nodefault};
	__property HBITMAP MaskHandle = {read=GetMaskHandle, write=SetMaskHandle, nodefault};
	__property bool Monochrome = {read=GetMonochrome, write=SetMonochrome, nodefault};
	__property TPixelFormat PixelFormat = {read=GetPixelFormat, write=SetPixelFormat, nodefault};
	__property void * ScanLine[int Row] = {read=GetScanline};
	__property TColor TransparentColor = {read=GetTransparentColor, write=SetTransparentColor, stored=TransparentColorStored, nodefault};
	__property TTransparentMode TransparentMode = {read=FTransparentMode, write=SetTransparentMode, default=0};
*/
//	__property TBitmapImage* BitmapImage = {read=FImage, nodefault};
};
//---------------------------------------------------------------------------
#endif
