//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "FilterGenTriangleFormUnit.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TFilterGenRotForm *FilterGenRotForm;
//---------------------------------------------------------------------------
__fastcall TFilterGenRotForm::TFilterGenRotForm(TComponent* Owner)
        : TForm(Owner)
{
	TranslateForm(this);
}
//---------------------------------------------------------------------------
void __fastcall TFilterGenRotForm::OkSpeedButtonClick(TObject *Sender)
{
  try
    {
    level=StrToFloat(LevelEdit->Text);
    angle=StrToFloat(AngleEdit->Text);
    }
  catch (...)
    {
    return;
    }
  newWidth=WidthBox->Text.ToIntDef(0);
  newHeight=HeightBox->Text.ToIntDef(0);
  if ((newWidth<1)||(newWidth>32760)) return;
  if ((newHeight<1)||(newHeight>32760)) return;
  ModalResult=mrOk;
}
//---------------------------------------------------------------------------
void __fastcall TFilterGenRotForm::CancelSpeedButtonClick(
      TObject *Sender)
{
  ModalResult=mrCancel;
}
//---------------------------------------------------------------------------
void __fastcall TFilterGenRotForm::LevelTrackBarChange(TObject *Sender)
{
  LevelEdit->OnChange=NULL;
  int pos=LevelTrackBar->Position;
  int AfterDot=pos%10;
  if (AfterDot<0) AfterDot*=-1;
  LevelEdit->Text=IntToStr(pos/10)+"."+IntToStr(AfterDot);
  LevelEdit->OnChange=LevelEditChange;
}
//---------------------------------------------------------------------------
void __fastcall TFilterGenRotForm::LevelEditChange(TObject *Sender)
{
  LevelTrackBar->OnChange=NULL;
  Extended value;
  try
    {
    value=StrToFloat(LevelEdit->Text);
    int pos=Floor(value*10);
    LevelTrackBar->Position=pos;
    }
  catch (...)
    {
    }
  LevelTrackBar->OnChange=LevelTrackBarChange;
}
//---------------------------------------------------------------------------



void __fastcall TFilterGenRotForm::AngleZeroButtonClick(TObject *Sender)
{
  AngleEdit->Text="0.000";
}
//---------------------------------------------------------------------------

void __fastcall TFilterGenRotForm::SpeedButton2Click(TObject *Sender)
{
  AngleEdit->Text=FloatToStr(M_PI);
}
//---------------------------------------------------------------------------

void __fastcall TFilterGenRotForm::AnglePi2ButtonClick(TObject *Sender)
{
  AngleEdit->Text=FloatToStr(M_PI_2);
}
//---------------------------------------------------------------------------

void __fastcall TFilterGenRotForm::AnglePi4ButtonClick(TObject *Sender)
{
  AngleEdit->Text=FloatToStr(M_PI_4);
}
//---------------------------------------------------------------------------

void __fastcall TFilterGenRotForm::WidthBoxKeyPress(TObject *Sender,
      char &Key)
{
  if (Key==VK_RETURN)
    {
    OkSpeedButtonClick(Sender);
    Key=NULL;
    }
}
//---------------------------------------------------------------------------

