//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "FilterGeneratorFormUnit.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TFilterGeneratorForm *FilterGeneratorForm;
//---------------------------------------------------------------------------
__fastcall TFilterGeneratorForm::TFilterGeneratorForm(TComponent* Owner)
        : TForm(Owner)
{
	TranslateForm(this);
}
//---------------------------------------------------------------------------
void __fastcall TFilterGeneratorForm::OkSpeedButtonClick(TObject *Sender)
{
  try
    {
    level=StrToFloat(LevelEdit->Text);
    }
  catch (...)
    {
    return;
    }
  newWidth=WidthBox->Text.ToIntDef(0);
  newHeight=HeightBox->Text.ToIntDef(0);
  if ((newWidth<1)||(newWidth>32760)) return;
  if ((newHeight<1)||(newHeight>32760)) return;
  ModalResult=mrOk;
}
//---------------------------------------------------------------------------
void __fastcall TFilterGeneratorForm::CancelSpeedButtonClick(
      TObject *Sender)
{
  ModalResult=mrCancel;
}
//---------------------------------------------------------------------------
void __fastcall TFilterGeneratorForm::LevelTrackBarChange(TObject *Sender)
{
  LevelEdit->OnChange=NULL;
  int pos=LevelTrackBar->Position;
  int AfterDot=pos%10;
  if (AfterDot<0) AfterDot*=-1;
  LevelEdit->Text=IntToStr(pos/10)+"."+IntToStr(AfterDot);
  LevelEdit->OnChange=LevelEditChange;
}
//---------------------------------------------------------------------------
void __fastcall TFilterGeneratorForm::LevelEditChange(TObject *Sender)
{
  LevelTrackBar->OnChange=NULL;
  Extended value;
  try
    {
    value=StrToFloat(LevelEdit->Text);
    int pos=Floor(value*10);
    LevelTrackBar->Position=pos;
    }
  catch (...)
    {
    }
  LevelTrackBar->OnChange=LevelTrackBarChange;
}
//---------------------------------------------------------------------------
void __fastcall TFilterGeneratorForm::WidthBoxKeyPress(TObject *Sender,
      char &Key)
{
  if (Key==VK_RETURN)
    {
    OkSpeedButtonClick(Sender);
    Key=NULL;
    }
}
//---------------------------------------------------------------------------

