//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "FilterLevelUnit.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TFilterLevelForm *FilterLevelForm;
//---------------------------------------------------------------------------
__fastcall TFilterLevelForm::TFilterLevelForm(TComponent* Owner)
        : TForm(Owner)
{
	TranslateForm(this);
}
//---------------------------------------------------------------------------
void __fastcall TFilterLevelForm::CancelSpeedButtonClick(TObject *Sender)
{
  ModalResult=mrCancel;
}
//---------------------------------------------------------------------------
void __fastcall TFilterLevelForm::LevelTrackBarChange(TObject *Sender)
{
  LevelEdit->OnChange=NULL;
  int pos=LevelTrackBar->Position;
  LevelEdit->Text=IntToStr(pos/10)+"."+IntToStr(pos%10);
  LevelEdit->OnChange=LevelEditChange;
}
//---------------------------------------------------------------------------
void __fastcall TFilterLevelForm::LevelEditChange(TObject *Sender)
{
  LevelTrackBar->OnChange=NULL;
  Extended value;
  try
    {
    value=StrToFloat(LevelEdit->Text);
    int pos=Floor(value*10);
    LevelTrackBar->Position=pos;
    }
  catch (...)
    {
    }
  LevelTrackBar->OnChange=LevelTrackBarChange;
}
//---------------------------------------------------------------------------
void __fastcall TFilterLevelForm::OkSpeedButtonClick(TObject *Sender)
{
  try
    {
    level=StrToFloat(LevelEdit->Text);
    }
  catch (...)
    {
    return;
    }
  ModalResult=mrOk;
}
//---------------------------------------------------------------------------
void __fastcall TFilterLevelForm::LevelTrackBarKeyPress(TObject *Sender,
      char &Key)
{
  if (Key==VK_RETURN)
      {
      OkSpeedButtonClick(Sender);
      Key=0;
      }
    else
  if (Key==VK_ESCAPE)
      {
      CancelSpeedButtonClick(Sender);
      Key=0;
      }
}
//---------------------------------------------------------------------------

