//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "FlipRotateFormUnit.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TFlipRotateForm *FlipRotateForm;
//---------------------------------------------------------------------------
__fastcall TFlipRotateForm::TFlipRotateForm(TComponent* Owner)
        : TForm(Owner)
{
	TranslateForm(this);
}
//---------------------------------------------------------------------------
void __fastcall TFlipRotateForm::CancelSpeedButtonClick(TObject *Sender)
{
  ModalResult=mrCancel;
}
//---------------------------------------------------------------------------
void __fastcall TFlipRotateForm::RotateRadioButtonClick(TObject *Sender)
{
  AngleComboBox->Enabled=RotateRadioButton->Checked;
  ExtendBitmapCheckBox->Enabled=RotateRadioButton->Checked;
}
//---------------------------------------------------------------------------
void __fastcall TFlipRotateForm::OkSpeedButtonClick(TObject *Sender)
{
 __try
    {
    if (RotateRadioButton->Checked)
        RotateAngle=StrToFloat(AngleComboBox->Text);
      else
        RotateAngle=0;
    ModalResult=mrOk;
    }
 __except (EXCEPTION_EXECUTE_HANDLER)
    {
    }
}
//---------------------------------------------------------------------------
void __fastcall TFlipRotateForm::FormKeyPress(TObject *Sender, char &Key)
{
  if (Key==VK_RETURN)
      {
      OkSpeedButtonClick(Sender);
      Key=0;
      }
    else
  if (Key==VK_ESCAPE)
      {
      CancelSpeedButtonClick(Sender);
      Key=0;
      }
}
//---------------------------------------------------------------------------
void __fastcall TFlipRotateForm::FormCreate(TObject *Sender)
{
  AngleComboBox->Items->Clear();
  AngleComboBox->Items->Add(FloatToStr(M_PI_4/4.0));
  AngleComboBox->Items->Add(FloatToStr(M_PI_4/2.0));
  AngleComboBox->Items->Add(FloatToStr(M_PI_4));
  AngleComboBox->Items->Add(FloatToStr(M_PI_2));
  AngleComboBox->Items->Add(FloatToStr(M_PI));
  AngleComboBox->Items->Add(FloatToStr(M_PI+M_PI_4/4.0));
  AngleComboBox->Items->Add(FloatToStr(M_PI+M_PI_4/2.0));
  AngleComboBox->Items->Add(FloatToStr(M_PI+M_PI_4));
  AngleComboBox->Items->Add(FloatToStr(M_PI+M_PI_2));
  AngleComboBox->Items->Add(FloatToStr(M_PI+M_PI));
}
//---------------------------------------------------------------------------
