//---------------------------------------------------------------------------

#ifndef LevelsFormUnitH
#define LevelsFormUnitH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include <ExtCtrls.hpp>
#include <Graphics.hpp>
#include "FXProcs.h"
//---------------------------------------------------------------------------
class TLevelsForm : public TForm
{
__published:	// IDE-managed Components
        TGroupBox *RangeGroupBox;
        TEdit *RangeFromEdit;
        TEdit *RangeToEdit;
        TLabel *Label4;
        TLabel *Label5;
        TSpeedButton *OkSpeedButton;
        TSpeedButton *CancelSpeedButton;
        TImage *RobaqImage;
        TRadioGroup *FunctionRadio;
        TRadioGroup *ChannelRadioGroup;
        void __fastcall RobaqImageDblClick(TObject *Sender);
        void __fastcall FunctionRadioClick(TObject *Sender);
        void __fastcall CancelSpeedButtonClick(TObject *Sender);
        void __fastcall OkSpeedButtonClick(TObject *Sender);
        void __fastcall FormShow(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TLevelsForm(TComponent* Owner);
        Graphics::TBitmap *srcPict;
        int ExpandMin;
        int ExpandMax;
};
//---------------------------------------------------------------------------
extern PACKAGE TLevelsForm *LevelsForm;
//---------------------------------------------------------------------------
#endif
