//---------------------------------------------------------------------------

#ifndef SharpenLevelUnitH
#define SharpenLevelUnitH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include <ComCtrls.hpp>
#include <Math.hpp>
#include "FXProcs.h"
//---------------------------------------------------------------------------
class TSharpenForm : public TForm
{
__published:	// IDE-managed Components
        TTrackBar *SizeTrackBar;
        TLabel *SizeLabel;
        TEdit *SizeEdit;
        TSpeedButton *OkSpeedButton;
        TSpeedButton *CancelSpeedButton;
        TLabel *LevelLabel;
        TTrackBar *LevelTrackBar;
        TEdit *LevelEdit;
        void __fastcall CancelSpeedButtonClick(TObject *Sender);
        void __fastcall SizeTrackBarChange(TObject *Sender);
        void __fastcall SizeEditChange(TObject *Sender);
        void __fastcall OkSpeedButtonClick(TObject *Sender);
        void __fastcall LevelTrackBarChange(TObject *Sender);
        void __fastcall LevelEditChange(TObject *Sender);
        void __fastcall SizeTrackBarKeyPress(TObject *Sender, char &Key);
private:	// User declarations
public:		// User declarations
        __fastcall TSharpenForm(TComponent* Owner);
        Extended level;
        Extended size;
};
//---------------------------------------------------------------------------
extern PACKAGE TSharpenForm *SharpenForm;
//---------------------------------------------------------------------------
#endif
