//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "ColorDepthFormUnit.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TColorDepthForm *ColorDepthForm;
//---------------------------------------------------------------------------
__fastcall TColorDepthForm::TColorDepthForm(TComponent* Owner)
        : TForm(Owner)
{
	TranslateForm(this);
}
//---------------------------------------------------------------------------
void __fastcall TColorDepthForm::CancelSpeedButtonClick(TObject *Sender)
{
  ModalResult=mrCancel;
}
//---------------------------------------------------------------------------
void __fastcall TColorDepthForm::OkSpeedButtonClick(TObject *Sender)
{
  ModalResult=mrOk;
}
//---------------------------------------------------------------------------
void __fastcall TColorDepthForm::MakeMonochromeCheckBoxKeyPress(
      TObject *Sender, char &Key)
{
  if (Key==VK_RETURN)
      {
      OkSpeedButtonClick(Sender);
      Key=0;
      }
    else
  if (Key==VK_ESCAPE)
      {
      CancelSpeedButtonClick(Sender);
      Key=0;
      }
}
//---------------------------------------------------------------------------
void __fastcall TColorDepthForm::BPPRadioGroupClick(TObject *Sender)
{
  switch (BPPRadioGroup->ItemIndex)
    {
    case 0:newBPP=pf1bit;break;
    case 1:newBPP=pf4bit;break;
    default:
    case 2:newBPP=pf8bit;break;
    case 3:newBPP=pf15bit;break;
    case 4:newBPP=pf16bit;break;
    case 5:newBPP=pf24bit;break;
    case 6:newBPP=pf32bit;break;
    }
}
//---------------------------------------------------------------------------
void __fastcall TColorDepthForm::FormShow(TObject *Sender)
{
  int ItmIdx;
  switch (newBPP)
    {
    case pf1bit:ItmIdx=0;break;
    case pf4bit:ItmIdx=1;break;
    default:
    case pf8bit:ItmIdx=2;break;
    case pf15bit:ItmIdx=3;break;
    case pf16bit:ItmIdx=4;break;
    case pf24bit:ItmIdx=5;break;
    case pf32bit:ItmIdx=6;break;
    }
  BPPRadioGroup->SetFocus();  //Trzeba z powodu bdu komponentu RadioGroup
  BPPRadioGroup->ItemIndex=ItmIdx;
  BPPRadioGroup->OnClick=BPPRadioGroupClick;
}
//---------------------------------------------------------------------------
void __fastcall TColorDepthForm::FormHide(TObject *Sender)
{
  BPPRadioGroup->OnClick=NULL;
}
//---------------------------------------------------------------------------
