//---------------------------------------------------------------------------

#ifndef ColorDepthFormUnitH
#define ColorDepthFormUnitH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include <ExtCtrls.hpp>
#include "FXProcs.h"
//---------------------------------------------------------------------------
class TColorDepthForm : public TForm
{
__published:	// IDE-managed Components
        TRadioGroup *BPPRadioGroup;
        TCheckBox *MakeMonochromeCheckBox;
        TSpeedButton *OkSpeedButton;
        TSpeedButton *CancelSpeedButton;
        void __fastcall CancelSpeedButtonClick(TObject *Sender);
        void __fastcall OkSpeedButtonClick(TObject *Sender);
        void __fastcall MakeMonochromeCheckBoxKeyPress(TObject *Sender,
          char &Key);
        void __fastcall BPPRadioGroupClick(TObject *Sender);
        void __fastcall FormShow(TObject *Sender);
        void __fastcall FormHide(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TColorDepthForm(TComponent* Owner);
        TPixelFormat newBPP;
};
//---------------------------------------------------------------------------
extern PACKAGE TColorDepthForm *ColorDepthForm;
//---------------------------------------------------------------------------
#endif
