//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "FXProcs.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
//---------------------------------------------------------------------------
bool IsAsText(int PosInStr,String Str)
{
  bool IsText=false;
  int CurrPos;
  for (CurrPos=1;CurrPos<=PosInStr;CurrPos++)
    {
       if (CurrPos<=(Str.Length())&&(Str[CurrPos]==34))
       IsText=!IsText;
    };
  //Jeszcze tylko korekcja dla cudzyslowu zamykajcego
  if ((!IsText) && ((CurrPos<=Str.Length())&&(Str[CurrPos]==34))) IsText=true;
  return IsText;
};

bool IsAsCategory(int PosInStr,String Str)
{
  bool IsCat=false;
  int CurrPos;
  for (CurrPos=1;CurrPos<=PosInStr;CurrPos++)
    {
       if (CurrPos<=(Str.Length()))
         {
         if (Str[CurrPos]==91)// to "["
           IsCat=true;
           else
           if (Str[CurrPos]==93)// to "]"
             IsCat=false;
         };
    };
  //I korekcja dla znaku zamykajcego
  if ((!IsCat) && ((CurrPos<=Str.Length())&&(Str[CurrPos]==93))) IsCat=true;
  return IsCat;
};

bool IsBeforeEqu(int PosInStr,String Str)
{
 bool IsEq=false;
 int EPos=Str.Pos("=");
 if (EPos>0)
  if (PosInStr<EPos) IsEq=true;
 return IsEq;
};

String GetBefore(String Chr,String Str)
{
 int EPos=Str.Pos(Chr);
 if (EPos>1)
  return Str.SubString(1,EPos-1);
  else return "";
};

String GetAfter(String Chr,String Str)
{
 int EPos=Str.Pos(Chr);
 if (EPos>0)
  return Str.SubString(EPos+Chr.Length(),Str.Length()-EPos+1);
  else return "";
};

String GetAfterLast(String Chr,String Str)
{
 int EPos=BackPos(Chr,Str);
 if (EPos>0)
  return Str.SubString(EPos+Chr.Length(),Str.Length()-EPos+1);
  else return Str;
};

int BackPos(String Chr,String Str)
{
 int bpos=Str.Length()-Chr.Length()+1;
 do
   {
   if (Str.SubString(bpos,Chr.Length())==Chr)
     return bpos;
   bpos--;
   }
   while (bpos>0);
 return 0;
};

String GetDAPathFromStr(String Str,int StrNum)
{
  int Index=1,Count=0,Num=1;
  while (Num<StrNum)
    {
    if (Index>Str.Length()) return "";
    if (isspace(Str[Index]))
      {
      Num++;
      do Index++; while ((Index<=Str.Length())&&(isspace(Str[Index])));
      } else Index++;
    };
  //Dobra, mamy lacuch, teraz jego dlugosc
  while(((Index+Count)<=Str.Length())&&(!isspace(Str[Index+Count])))
    Count++;
  return Str.SubString(Index,Count);
};

String GetBetween(String Ch1,String Ch2,String Str)
{
  int Index=Str.Pos(Ch1)+Ch1.Length();
  if (Index<=0) return "";
  int Count;
  if (Ch1==Ch2)
    {
    String Str2=Str.SubString(Index,Str.Length());
    Count=Str2.Pos(Ch2)-1;
    } else
    {
    Count=Str.LastDelimiter(Ch2)-Index;
    };
  if (Count<=0) return "";
  return Str.SubString(Index,Count);
};

void PrepareMathLine(String &Line)
/*
Usuwa najbardziej zewntrzne spacje i nawiasy
 z linii tekstu
*/
{
  Line.Trim();
  if (Line.Length()>0)
    {
     // usunicie ewentualnego zewntrznego nawiasu
     if ((Line[1]=='(')&&(WhereIsClosing(Line)==Line.Length()))
       {
       Line.Delete(1,1);
       Line.Delete(Line.Length(),1);
       };
    };
};

int WhereIsClosing(String Line)
/*
Powinien dostac stringa, w ktorym [1] to '('.
Poda wtedy, gdzie si ten nawias koczy.
*/
{
  int where=2;
  while (where<=Line.Length())
    {
    if (Line[where]==')')
      return where;
    if (Line[where]=='(')
      {
      int wadd=WhereIsClosing(Line.SubString(where,Line.Length()));
      if (wadd<0) return -1;
      where+=wadd;
      }
     else
      where++;
    };
  return -1;
};

String RemoveWhatInBrackets(String Line)
/*
Zastpuje wszystko pomidzy nawiasami stringa
przez '_'
*/
{
  int BracketCounter=0;
  for (int Pos=1;Pos<=Line.Length();Pos++)
    {
    if (Line[Pos]=='(') BracketCounter++;
      else
      if (Line[Pos]==')') BracketCounter--;
        else
        if (BracketCounter>0) Line[Pos]='_';
    };
  return Line;
};

bool StrIsHexNum(String Str)
{
  bool Result=false;
  if (UpCase(Str[Str.Length()])=='H')
    {
    Result=true;
    for (int n=1;n<Str.Length();n++)
      {
      if (!isxdigit(Str[n]))
        {
        Result=false;
        break;
        };
      };
    };
  return Result;
};

bool StrIsAnyNum(String Str)
{
  return StrIsBinNum(Str)||StrIsDecNum(Str)||StrIsHexNum(Str);
};

bool StrIsBinNum(String Str)
{
  bool Result=false;
  if ((Str!="")&&(UpCase(Str[Str.Length()])=='Z'))
    {
    Result=true;
    for (int n=1;n<Str.Length();n++)
      {
      if ((Str[n]!='0')&&(Str[n]!='1'))
        {
        Result=false;
        break;
        };
      };
    };
  return Result;
};

bool StrIsDecNum(String Str)
{
  bool Result=true;
  for (int n=1;n<=Str.Length();n++)
    {
    if (!isdigit(Str[n]))
      {
      Result=false;
      break;
      };
    };
  return Result;
};

String IntToBin(int Num,int MinDigits)
{
  String Result="";
  int n=Num;
  int pow=1;
  while (n>0)
    {
    if (n & pow)
      {
      Result="1"+Result;
      n-=pow;
      }
      else Result="0"+Result;
    pow*=2;
    };
  while (Result.Length()<MinDigits) Result="0"+Result;
  return Result;
};

int BinToInt(String Str)
{
  int Result=0;
  int pow=1;
  // ostatni znak pomijamy bo powinno byc nim Z
  for (int n=Str.Length();n>0;n--)
      {
      if (Str[n]=='1')
        Result+=pow;
      pow*=2;
      };
  return Result;
};

String FormatString(String str)
/*
  Formatuje lacuch zawierajcy kody<32 do wyswietlenia pod Windows
*/
{
  String dest="";
  int strPos=1;
  bool lastWasNum=false;
  while (strPos <= str.Length())
    {
    String tmp=str[strPos];
    if ((str[strPos]<32)&&(str[strPos]>=0) || (lastWasNum&&StrIsDecNum(tmp)))
      {
      dest+="\\"+IntToStr((unsigned __int8)str[strPos]);
      lastWasNum=true;
      }
     else
      {
      if (str[strPos]=='\\')
        dest+="\\";
       else
        dest+=str[strPos];
      lastWasNum=false;
      };
    strPos++;
    };
  return dest;
}

String DeFormatString(String str)
/*
  Usuwa z lacucha kody do wyswietlania
*/
{
  String dest="";
  int strPos=1;
  while (strPos <= str.Length())
    {
    if (str[strPos]=='\\')
      {
      strPos++;
      if (str[strPos]=='\\')
        {
        dest+="\\";
        strPos++;
        }
       else
        {
        String tmp=str[strPos];
        while ((StrIsDecNum(tmp)) && (strPos<str.Length()))
          {
          strPos++;
          tmp+=str[strPos];
          };
        tmp.Delete(tmp.Length(),1);
        if (tmp.Length()>0)
          {
          dest+=(char)tmp.ToInt();
          }
         else
          {
          dest+="\\";
          strPos++;
          };
        };
      }
     else
      {
      dest+=str[strPos];
      strPos++;
      };
    };
  return dest;
}
//---------------------------------------------------------------------------
bool StrToBoolean(const String &str)
{
  String nstr=str.UpperCase();
  if ((nstr[1]=='Y')||(nstr[1]=='T')||(nstr=="ON"))
    return true;
  return false;
}
//---------------------------------------------------------------------------
String BooleanToStr(bool val)
{
  if (val) return "yes";
  return "no";
}
//---------------------------------------------------------------------------
TControl* FindAnyChildControl(TWinControl *Parent,const AnsiString &ControlName)
{
  for (int cIndex=0;cIndex<Parent->ControlCount;cIndex++)
    {
    TControl *Control=Parent->Controls[cIndex];
    if ((Control!=NULL)&&(Control->Name==ControlName))
      return Control;
    };
  return NULL;
}
//---------------------------------------------------------------------------
int FindSubstringPosFrom(int startIndex,String SubStr,String MainString)
{
  int Result=-1;
  int i=startIndex;
  while (i <= MainString.Length())
    {
    if (MainString.SubString(i,SubStr.Length())==SubStr)
      {
      Result=i;
      break;
      };
    i++;
    };
  return Result;
}
//---------------------------------------------------------------------------
int FindSubMemPos(const char *SubBuf,uint SubBufSize,const char *MainBuf,uint MainBufSize)
{
  uint i=0;
  while (i <= (MainBufSize-SubBufSize))
    {
    uint k=0;
    while (k<SubBufSize)
      {
      //Jak s rne - nastpna pozycja
      if (MainBuf[i+k]!=SubBuf[k])
          break;
        else
      //Jak s rwne i to koniec - znaleziono
      if (k >= SubBufSize-1)
          return i;
        else
      //Jak s rwne i to nie koniec, porwnujemy dalej
          k++;
      }
    i++;
    };
  return -1;
}
//---------------------------------------------------------------------------
TThreadPriority StrToPriority(const String &str)
{
  String strVal=str.UpperCase();
  if (strVal==PriorIdleText.UpperCase())
    return tpIdle;
  if (strVal==PriorLowestText.UpperCase())
    return tpLowest;
  if (strVal==PriorLowerText.UpperCase())
    return tpLower;
  if (strVal==PriorNormalText.UpperCase())
    return tpNormal;
  if (strVal==PriorHigherText.UpperCase())
    return tpHigher;
  if (strVal==PriorHighestText.UpperCase())
    return tpHighest;
  if (strVal==PriorTimeCriticalText.UpperCase())
    return tpTimeCritical;
  return tpNormal;
}
//---------------------------------------------------------------------------
String PriorityToStr(TThreadPriority val)
{
  switch (val)
    {
    case tpIdle:return PriorIdleText;
    case tpLowest:return PriorLowestText;
    case tpLower:return PriorLowerText;
    case tpNormal:return PriorNormalText;
    case tpHigher:return PriorHigherText;
    case tpHighest:return PriorHighestText;
    case tpTimeCritical:return PriorTimeCriticalText;
    default: return "Unknown";
    };
}
//---------------------------------------------------------------------------
int FileCopy(String SourceFile,String DestFile,int Options)
// Kopiuje plik. Nazwy podawa ze ciek!
// Zwroty:
//0 - OK
//1 - Plik docelowy istnieje
//2 - Nie mona usun pliku
//3 - Bd podczas kopiowania
{
 //Testy pocztkowe - tu zapewniamy, by plik docelowy nie istnia
 __try
  {
  if (FileExists(DestFile))
    {
    if (Options & FC_OVERWRITE)
        {
        bool IsDeleted=DeleteFile(DestFile);
        if (!IsDeleted) return 2;
        }
      else
        return 1;
    };
  }__except(EXCEPTION_EXECUTE_HANDLER) {return 2;};
  TFileStream *srcStrm=NULL;
  TFileStream *destStrm=NULL;
 __try
  {
  srcStrm=new TFileStream(SourceFile,fmOpenRead|fmShareDenyWrite);
  destStrm=new TFileStream(DestFile,fmOpenWrite|fmShareDenyWrite|fmCreate);
  destStrm->CopyFrom(srcStrm, 0); //0 oznacza cay stream
  }__except(EXCEPTION_EXECUTE_HANDLER)
  {
  delete srcStrm;
  delete destStrm;
  return 2;
  };
 if (!(Options & FC_ACTUALDATE))
   __try
    {
    int prevDate=FileGetDate(srcStrm->Handle);
    FileSetDate(destStrm->Handle,prevDate);
    }__except(EXCEPTION_EXECUTE_HANDLER) {};
  delete srcStrm;
  delete destStrm;
  return 0;
}
//---------------------------------------------------------------------------
String ChangeCaseWordsStartsBig(const String &SrcStr)
{
  bool WordStart=true;
  String Result=AnsiLowerCase(SrcStr);
  String UpperStr=AnsiUpperCase(SrcStr);
  uint j=1;
    for (uint i=1;i<=(uint)SrcStr.Length();i++)
      {
	  if (strchr(WordCharsPl,SrcStr[j])!=NULL)
		{
		if ((WordStart)&&(strchr(WordCharsPl,SrcStr[i])!=NULL))
		  {  //Jeli mamy wyraz i jest on duszy ni 1 znak
		  Result[j]=UpperStr[j];
		  WordStart=false;
		  }
		}
	   else
		WordStart=true;
	  j=i;
	  }
  return Result;
}

const String TranslateToPL(const String Str)
{
	static unsigned int variant = 0;
	variant++;
	if (Str.Compare("About program") == 0)
		return "O programie";
	if (Str.Compare("OK!") == 0)
		return "OK!";
	if (Str.Compare("Strange shapes generator") == 0)
		return "Generaterator zajefajnych ksztatw";
	if (Str.Compare("&Generate") == 0)
		return "&Dawaj";
	if (Str.Compare("&Cancel") == 0) {
		switch (variant%4) {
		case 0:
			return "&Zapomnij";
		case 1:
			return "Zl&ej";
		case 2:
			return "Daj na luz";
		case 3:
		default:
			return "Ol&ej";
		}
	}
	if (Str.Compare("Generated image size") == 0)
		return "Rozmiarek mapy";
	if (Str.Compare("&Width:") == 0)
		return "Szerokowato:";
	if (Str.Compare("&Height:") == 0)
		return "Wysokowato:";
	if (Str.Compare("Shapes") == 0)
		return "Ksztaty";
	if (Str.Compare("&Mathematic function number:") == 0)
		return "Numer funkcji &matematycznej:";
	if (Str.Compare("Shaping &parameter:") == 0)
		return "&Parametr ksztatujcy:";
	if (Str.Compare("Image color depth") == 0)
		return "Gbia kolorw obrazka";
	if (Str.Compare("Ch&ange depth") == 0)
		return "Zapodaj";
	if (Str.Compare("&Bits per pixel") == 0)
		return "Bitw na piksel";
	if (Str.Compare("Convert to &grayscale") == 0)
		return "Konwertuj na skal szaroci";
	if (Str.Compare("Histogram") == 0)
		return "Histogram";
	if (Str.Compare("&Process") == 0) {
		return "&Zapodaj";
		return "&Dawaj";
	}
	if (Str.Compare("X coordinate:") == 0)
		return "Wsp. X:";
	if (Str.Compare("Y coordinate:") == 0)
		return "Wsp. Y:";
	if (Str.Compare("C&hanels") == 0)
		return "Kanay";
	if (Str.Compare("Curve &type") == 0)
		return "Typ krzywej";
	if (Str.Compare("Filter masks generator") == 0)
		return "Generatoretor masek filtrw";
	if (Str.Compare("&Generate") == 0)
		return "&Dawaj";
	if (Str.Compare("Filter &size") == 0)
		return "Rozmiarek filtera";
	if (Str.Compare("&Width:") == 0)
		return "Szerokowato:";
	if (Str.Compare("Height:") == 0)
		return "Wysokowato:";
	if (Str.Compare("Increase") == 0)
		return "Narastanie";
	if (Str.Compare("Filter &steepness:") == 0)
		return "Stromo filtru:";
	if (Str.Compare("Filters generator with rotation function") == 0)
		return "Generatoretor filtrw z moliwoci obrotu";
	if (Str.Compare("&Generate") == 0)
		return "&Dawaj";
	if (Str.Compare("Generated image size") == 0)
		return "Rozmiarek filtera";
	if (Str.Compare("Increase") == 0)
		return "Narastanie";
	if (Str.Compare("Filter steepness:") == 0)
		return "Stromo filtru:";
	if (Str.Compare("Rotate relative to center") == 0)
		return "Obrt wzgldem rodka";
	if (Str.Compare("radians") == 0)
		return "radianw";
	if (Str.Compare("0") == 0)
		return "0";
	if (Str.Compare("pi") == 0)
		return "pi";
	if (Str.Compare("pi/2") == 0)
		return "pi/2";
	if (Str.Compare("pi/4") == 0)
		return "pi/4";
	if (Str.Compare("Conduct filtration") == 0)
		return "Rbta filtracj";
	if (Str.Compare("Filtration &level:") == 0)
		return "Poziom filtracji:";
	if (Str.Compare("Swap and rotate") == 0)
		return "Odbij lub obr";
	if (Str.Compare("Angle:") == 0)
		return "Kt obrotu:";
	if (Str.Compare("Vertical flip") == 0)
		return "Odbij pionowo";
	if (Str.Compare("Horizonal flip") == 0)
		return "Odbij poziomo";
	if (Str.Compare("Rotate") == 0)
		return "Obr";
	if (Str.Compare("Enlarge bitmap") == 0)
		return "Poszerz map bitow";
	if (Str.Compare("Histogram levels") == 0)
		return "Poziomy histogramu";
	if (Str.Compare("&Apply") == 0)
		return "Zapodaj";
	if (Str.Compare("Enhancing range") == 0)
		return "Zakres rozszarzenia";
	if (Str.Compare("from") == 0)
		return "od";
	if (Str.Compare("to") == 0)
		return "do";
	if (Str.Compare("&Function selection") == 0)
		return "I co by niby chcia?";
	if (Str.Compare("C&hanels") == 0)
		return "Kanay";
	if (Str.Compare("Ajdobry Lisoszop") == 0)
		return "Ajdobry Lisoszop";
	if (Str.Compare("1:1") == 0)
		return "1:1";
	if (Str.Compare("USR") == 0)
		return "USR";
	if (Str.Compare("&File") == 0)
		return "&Plik";
	if (Str.Compare("New") == 0)
		return "Nowy";
	if (Str.Compare("Open") == 0)
		return "Otwrz";
	if (Str.Compare("Save as") == 0)
		return "Zapisz jako";
	if (Str.Compare("Exit") == 0)
		return "Koniec";
	if (Str.Compare("&Edit") == 0)
		return "&Edycja";
	if (Str.Compare("(use icons)") == 0)
		return "(uyj ikon)";
	if (Str.Compare("&View") == 0)
		return "&Widok";
	if (Str.Compare("Zoom in") == 0)
		return "Powiksz";
	if (Str.Compare("Zoom out") == 0)
		return "Pomniejsz";
	if (Str.Compare("View 1:1") == 0)
		return "Widok 1:1";
	if (Str.Compare("Toolbars") == 0)
		return "Paski narzdzi";
	if (Str.Compare("File") == 0)
		return "Plik";
	if (Str.Compare("View") == 0)
		return "Widok";
	if (Str.Compare("Resizing") == 0)
		return "Wymiarowanie";
	if (Str.Compare("Generate") == 0)
		return "Generacja";
	if (Str.Compare("Filters") == 0)
		return "Filtry";
	if (Str.Compare("Fourier") == 0)
		return "Fourier";
	if (Str.Compare("Histogram") == 0)
		return "Histogram";
	if (Str.Compare("Help") == 0)
		return "Pomoc";
	if (Str.Compare("&Generate") == 0)
		return "&Generacja";
	if (Str.Compare("&Histogram") == 0)
		return "&Histogram";
	if (Str.Compare("&Filters") == 0)
		return "&Filtracja";
	if (Str.Compare("Fo&urier") == 0)
		return "Fourier";
	if (Str.Compare("&Help") == 0)
		return "Po&moc";
	if (Str.Compare("About") == 0)
		return "O programie";
	if (Str.Compare("Create an empty image") == 0)
		return "Zapodaj mi nowego tego no obrazka";
	if (Str.Compare("&Width:") == 0)
		return "Jak szeroko";
	if (Str.Compare("&Height:") == 0)
		return "Jak wysoko";
	if (Str.Compare("Colors &model:") == 0)
		return "Jakie te no kolorki";
	if (Str.Compare("Cr&eate") == 0)
		return "&Dawaj";
	if (Str.Compare("Back&ground color:") == 0)
		return "No kolor tego spodu";
	if (Str.Compare("&Select") == 0)
		return "Pobierz";
	if (Str.Compare("Open a file without header (RAW)") == 0)
		return "Otwrz plik bez nagwka (RAW)";
	if (Str.Compare("&Skip at start:") == 0)
		return "Pomi na starcie:";
	if (Str.Compare("&Limit the image lines number:") == 0)
		return "Ogranicz ilo wczytywanych linii:";
	if (Str.Compare("&Width:") == 0)
		return "Szeroko:";
	if (Str.Compare("&Palette file:") == 0)
		return "Plik palety:";
	if (Str.Compare("&Open") == 0)
		return "Otwrz";
	if (Str.Compare("M&ultiplier:") == 0)
		return "Mnonik:";
	if (Str.Compare("Bytes per px:") == 0)
		return "Bajtw na px:";
	if (Str.Compare("&Bits per pixel") == 0)
		return "Bitw na piksel";
	if (Str.Compare("&Direction") == 0)
		return "Kierunek";
	if (Str.Compare("Opening &mode:") == 0)
		return "Sposb otwarcia:";
	if (Str.Compare("Open") == 0)
		return "Otwrz";
	if (Str.Compare("Resize image") == 0)
		return "Resajzerek obrazkw z goymi babami";
	if (Str.Compare("The image memory size:") == 0)
		return "Rozmiar takiego obrazeka:";
	if (Str.Compare("&Resize") == 0)
		return "&Zapodaj";
	if (Str.Compare("New size") == 0)
		return "Nowy rozmiarek";
	if (Str.Compare("&Width:") == 0)
		return "Szerokowato:";
	if (Str.Compare("&Height:") == 0)
		return "Wysokowato:";
	if (Str.Compare("&Keep image aspec ratio") == 0)
		return "Trzymaj proporcje";
	if (Str.Compare("&Interpolation") == 0)
		return "Interpolatatecja";
	if (Str.Compare("Conduct sharpening") == 0)
		return "Rbta zaostrzenie";
	if (Str.Compare("lnienie:") == 0)
		return "Uoglnienie:";
	if (Str.Compare("Amplification:") == 0)
		return "Wzmocnienie:";
	if (Str.Compare("Conduct filtration") == 0)
		return "Rbta filtracj";
	if (Str.Compare("Transform &matrix size:") == 0)
		return "Rozmiar macierzy:";
	if (Str.Compare("Filter &type:") == 0)
		return "Typ filtru:";
	if (Str.Compare("&Example filters:") == 0)
		return "Przykad filtru:";
	if (Str.Compare("Color scale (divider):") == 0)
		return "Skala (dzielnik) koloru:";
	if (Str.Compare("Color offset:") == 0)
		return "Offset koloru:";
	if (Str.Compare("Pixel wage factors (any real numbers)") == 0)
		return "Wspczynniki filtru (dowolne liczby rzeczywiste)";
	if (Str.Compare("Change sign of negative results (negative values bright)") == 0)
		return "Licz modu do wyniku filtracji (pola ujemne te jasne)";
	if (Str.Compare("(nothing)") == 0)
		return "Nama ma obrazku filter trjktny 2D";
	if (Str.Compare("(nothing)") == 0)
		return "Nama ma obrazku filter Gaussa 2D";
	if (Str.Compare("Hand tool") == 0)
		return "Generaterator zajefajnych ksztatw";
	if (Str.Compare("Create new image") == 0)
		return "Zapodaj nowego obrazka";
	if (Str.Compare("Open an image from disk") == 0)
		return "Zapodaj obrazka z dyska";
	if (Str.Compare("Save changes") == 0)
		return "Zapisaj zmiany do plika";
	if (Str.Compare("Zoom in") == 0)
		return "Rozszerz patrzay";
	if (Str.Compare("Zoom out") == 0)
		return "Pomniejsz patrzay";
	if (Str.Compare("Normalize view") == 0)
		return "Normuj patrzay";
	if (Str.Compare("Zoom level") == 0)
		return "Wtrzepaj z klawiatra nowe powikszesko";
	if (Str.Compare("Crop image canvas") == 0)
		return "Dorozmiaruj to obrazeka";
	if (Str.Compare("Resize image") == 0)
		return "Przerozmiaruj obrazeka";
	if (Str.Compare("Change colour depth") == 0)
		return "Zmie gba kolorw";
	if (Str.Compare("Flip the image") == 0)
		return "Obij obrazek";
	if (Str.Compare("Draw Gauss 2D filter") == 0)
		return "Nama ma obrazku filter Gaussa 2D";
	if (Str.Compare("Draw triangular 2D filter") == 0)
		return "Nama ma obrazku filter trjktny 2D";
	if (Str.Compare("Draw 2D sharpening filter") == 0)
		return "Nama ma obrazku filter wyostrzajcy 2D";
	if (Str.Compare("Draw 2D edge detection filter") == 0)
		return "Nama ma obrazku filter wykrywania krawdzi 2D";
	if (Str.Compare("Gauss filter blur") == 0)
		return "Zapodaj rozdeostrzenie filterem Gaussa";
	if (Str.Compare("Triangle filter blur") == 0)
		return "Zapodaj rozdeostrzenie filterem trjktnym";
	if (Str.Compare("Sharpen image") == 0)
		return "Zapodaj ostrzenie";
	if (Str.Compare("Bounds detection") == 0)
		return "Wykryj krawdzie";
	if (Str.Compare("Design your own filter") == 0)
		return "Zaprojektuj wasny filtr";
	if (Str.Compare("About the program") == 0)
		return "Co to za co";
	if (Str.Compare("Conduct FFT") == 0)
		return "Zapodaj FFT";
	if (Str.Compare("Conduct reverse FFT") == 0)
		return "Zapodaj odwrotne FFT";
	if (Str.Compare("Gauss filter blur using FFT") == 0)
		return "Zapodaj rozdeostrzenie filterem Gaussa";
	if (Str.Compare("Curves") == 0)
		return "Krzywe";
	if (Str.Compare("Equalize or expand the histogram") == 0)
		return "Wyrwnaj lub poszerz histogram";
	if (Str.Compare("Browse for palettes") == 0)
		return "Przegldaj dysk co by dorwa palet";
	return Str;
}

void __fastcall TranslateComponent(TComponent* cmpnt)
{
		{//TCoolBar TToolBar TPanel TRadioGroup etc.
			TWinControl * c = dynamic_cast<TWinControl*>(cmpnt);
			if (c != NULL) {
				for (int i=0; i < c->ControlCount; i++)
				{
					TranslateComponent(c->Controls[i]);
				}
			}
		}
		{
			TGroupBox * c = dynamic_cast<TGroupBox*>(cmpnt);
			if (c != NULL) {
				c->Caption = _(c->Caption);
				c->Hint = _(c->Hint);
				return;
			}
		}
		{
			TPanel * c = dynamic_cast<TPanel*>(cmpnt);
			if (c != NULL) {
				c->Caption = _(c->Caption);
				c->Hint = _(c->Hint);
				return;
			}
		}
		{
			TCheckBox * c = dynamic_cast<TCheckBox*>(cmpnt);
			if (c != NULL) {
				c->Caption = _(c->Caption);
				c->Hint = _(c->Hint);
				return;
			}
		}
		{
			TButton * c = dynamic_cast<TButton*>(cmpnt);
			if (c != NULL) {
				c->Caption = _(c->Caption);
				c->Hint = _(c->Hint);
				return;
			}
		}
		{
			TLabel * c = dynamic_cast<TLabel*>(cmpnt);
			if (c != NULL) {
				c->Caption = _(c->Caption);
				c->Hint = _(c->Hint);
				return;
			}
		}
		{
			TBitBtn * c = dynamic_cast<TBitBtn*>(cmpnt);
			if (c != NULL) {
				c->Caption = _(c->Caption);
				c->Hint = _(c->Hint);
				return;
			}
		}
		{
			TSpeedButton * c = dynamic_cast<TSpeedButton*>(cmpnt);
			if (c != NULL) {
				c->Caption = _(c->Caption);
				c->Hint = _(c->Hint);
				return;
			}
		}
		{
			TRadioButton * c = dynamic_cast<TRadioButton*>(cmpnt);
			if (c != NULL) {
				c->Caption = _(c->Caption);
				c->Hint = _(c->Hint);
				return;
			}
		}
}

void __fastcall TranslateForm(TForm* form)
{
	TranslateComponent(form);
	for (int i=0; i < form->ComponentCount; i++)
	{
		TranslateComponent(form->Components[i]);
	}
}


//---------------------------------------------------------------------------

