//---------------------------------------------------------------------------

#ifndef FilterGeneratorFormUnitH
#define FilterGeneratorFormUnitH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include <ComCtrls.hpp>
#include <Math.hpp>
#include "FXProcs.h"
//---------------------------------------------------------------------------
class TFilterGeneratorForm : public TForm
{
__published:	// IDE-managed Components
        TGroupBox *GroupBox1;
        TLabel *Label1;
        TLabel *Label2;
        TComboBox *WidthBox;
        TComboBox *HeightBox;
        TGroupBox *GroupBox2;
        TSpeedButton *OkSpeedButton;
        TSpeedButton *CancelSpeedButton;
        TTrackBar *LevelTrackBar;
        TLabel *Label3;
        TEdit *LevelEdit;
        void __fastcall OkSpeedButtonClick(TObject *Sender);
        void __fastcall CancelSpeedButtonClick(TObject *Sender);
        void __fastcall LevelTrackBarChange(TObject *Sender);
        void __fastcall LevelEditChange(TObject *Sender);
        void __fastcall WidthBoxKeyPress(TObject *Sender, char &Key);
private:	// User declarations
public:		// User declarations
        __fastcall TFilterGeneratorForm(TComponent* Owner);
        int newWidth;
        int newHeight;
        Extended level;
};
//---------------------------------------------------------------------------
extern PACKAGE TFilterGeneratorForm *FilterGeneratorForm;
//---------------------------------------------------------------------------
#endif
