//---------------------------------------------------------------------------

#ifndef FlipRotateFormUnitH
#define FlipRotateFormUnitH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include <Math.h>
#include "FXProcs.h"
//---------------------------------------------------------------------------
class TFlipRotateForm : public TForm
{
__published:	// IDE-managed Components
        TRadioButton *FlipVRadioButton;
        TRadioButton *FlipHRadioButton;
        TRadioButton *RotateRadioButton;
        TSpeedButton *OkSpeedButton;
        TSpeedButton *CancelSpeedButton;
        TLabel *Label1;
        TComboBox *AngleComboBox;
        TCheckBox *ExtendBitmapCheckBox;
        void __fastcall CancelSpeedButtonClick(TObject *Sender);
        void __fastcall RotateRadioButtonClick(TObject *Sender);
        void __fastcall OkSpeedButtonClick(TObject *Sender);
        void __fastcall FormKeyPress(TObject *Sender, char &Key);
        void __fastcall FormCreate(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TFlipRotateForm(TComponent* Owner);
        Extended RotateAngle;
};
//---------------------------------------------------------------------------
extern PACKAGE TFlipRotateForm *FlipRotateForm;
//---------------------------------------------------------------------------
#endif
