//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop
USEFORM("MainForm.cpp", LisoszopMainForm);
USEFORM("ResizerFormUnit.cpp", ResizerForm);
USEFORM("NewImageFormUnit.cpp", NewImgForm);
USEFORM("SharpenLevelUnit.cpp", SharpenForm);
USEFORM("FilterGenTriangleFormUnit.cpp", FilterGenRotForm);
USEFORM("AbstractGeneratorFormUnit.cpp", AbstractGeneratorForm);
USEFORM("FilterGeneratorFormUnit.cpp", FilterGeneratorForm);
USEFORM("UserFilter.cpp", UsrFilterForm);
USEFORM("OpenRawUnit.cpp", OpenRawForm);
USEFORM("ColorDepthFormUnit.cpp", ColorDepthForm);
USEFORM("AboutUnit.cpp", AboutForm);
USEFORM("FlipRotateFormUnit.cpp", FlipRotateForm);
USEFORM("CurvesUnit.cpp", CurvesForm);
USEFORM("LevelsFormUnit.cpp", LevelsForm);
USEFORM("FilterLevelUnit.cpp", FilterLevelForm);
//---------------------------------------------------------------------------
WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
{
        try
		{
                 // Make sure the dot is a decimal separator for the whole application
				 DecimalSeparator = '.';

				 Application->Initialize();
                 Application->CreateForm(__classid(TLisoszopMainForm), &LisoszopMainForm);
		Application->CreateForm(__classid(TResizerForm), &ResizerForm);
		Application->CreateForm(__classid(TNewImgForm), &NewImgForm);
		Application->CreateForm(__classid(TSharpenForm), &SharpenForm);
		Application->CreateForm(__classid(TFilterGenRotForm), &FilterGenRotForm);
		Application->CreateForm(__classid(TAbstractGeneratorForm), &AbstractGeneratorForm);
		Application->CreateForm(__classid(TFilterGeneratorForm), &FilterGeneratorForm);
		Application->CreateForm(__classid(TUsrFilterForm), &UsrFilterForm);
		Application->CreateForm(__classid(TOpenRawForm), &OpenRawForm);
		Application->CreateForm(__classid(TColorDepthForm), &ColorDepthForm);
		Application->CreateForm(__classid(TAboutForm), &AboutForm);
		Application->CreateForm(__classid(TFlipRotateForm), &FlipRotateForm);
		Application->CreateForm(__classid(TCurvesForm), &CurvesForm);
		Application->CreateForm(__classid(TLevelsForm), &LevelsForm);
		Application->CreateForm(__classid(TFilterLevelForm), &FilterLevelForm);
		Application->Run();
        }
        catch (Exception &exception)
        {
                 Application->ShowException(&exception);
        }
        return 0;
}
//---------------------------------------------------------------------------
