//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "ResizerFormUnit.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TResizerForm *ResizerForm;
//---------------------------------------------------------------------------
__fastcall TResizerForm::TResizerForm(TComponent* Owner)
        : TForm(Owner)
{
	TranslateForm(this);
}
//---------------------------------------------------------------------------
void __fastcall TResizerForm::WidthBoxChange(TObject *Sender)
{
  if (KeepProporCheckBox->Checked)
    {
    HeightBox->Text=IntToStr(WidthBox->Text.ToIntDef(1)*prevHeight/prevWidth);
    }
  UpdateSize();
}
//---------------------------------------------------------------------------
void __fastcall TResizerForm::OkButtonClick(TObject *Sender)
{
  newWidth=WidthBox->Text.ToIntDef(0);
  newHeight=HeightBox->Text.ToIntDef(0);
  if ((newWidth<1)||(newWidth>32760)) return;
  if ((newHeight<1)||(newHeight>32760)) return;
  ModalResult=mrOk;
}
//---------------------------------------------------------------------------
void __fastcall TResizerForm::CancelButtonClick(TObject *Sender)
{
  ModalResult=mrCancel;
}
//---------------------------------------------------------------------------
void __fastcall TResizerForm::FormShow(TObject *Sender)
{
  WidthBox->Text=IntToStr(prevWidth);
  HeightBox->Text=IntToStr(prevHeight);
  UpdateSize();
}
//---------------------------------------------------------------------------
void TResizerForm::UpdateSize()
{
  __int64 Size=(3i64)*WidthBox->Text.ToIntDef(1)*HeightBox->Text.ToIntDef(1);
  if (Size>100000000000i64)
      ShowSizeEdit->Text="nie przejdzie";
    else
  if (Size>100000000i64)
      ShowSizeEdit->Text=IntToStr(Size/(1024i64*1024))+" MB";
    else
  if (Size>1000000i64)
      ShowSizeEdit->Text=IntToStr(Size/1024)+" kB";
    else
      ShowSizeEdit->Text=IntToStr(Size)+" B";
}
//---------------------------------------------------------------------------

void __fastcall TResizerForm::HeightBoxChange(TObject *Sender)
{
  if (KeepProporCheckBox->Checked)
    {
    WidthBox->Text=IntToStr(HeightBox->Text.ToIntDef(1)*prevWidth/prevHeight);
    }
  UpdateSize();
}
//---------------------------------------------------------------------------
void __fastcall TResizerForm::WidthBoxKeyPress(TObject *Sender, char &Key)
{
  if (Key==VK_RETURN)
      {
      OkButtonClick(Sender);
      Key=0;
      }
    else
  if (Key==VK_ESCAPE)
      {
      CancelButtonClick(Sender);
      Key=0;
      }
}
//---------------------------------------------------------------------------

