//---------------------------------------------------------------------------

#ifndef ResizerFormUnitH
#define ResizerFormUnitH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include <ExtCtrls.hpp>
#include "FXProcs.h"
//---------------------------------------------------------------------------
class TResizerForm : public TForm
{
__published:	// IDE-managed Components
        TLabel *Label3;
        TEdit *ShowSizeEdit;
        TGroupBox *GroupBox1;
        TLabel *Label1;
        TComboBox *WidthBox;
        TLabel *Label2;
        TComboBox *HeightBox;
        TCheckBox *KeepProporCheckBox;
        TRadioGroup *InterpolationRadioGroup;
        TSpeedButton *OkButton;
        TSpeedButton *CancelButton;
        void __fastcall WidthBoxChange(TObject *Sender);
        void __fastcall OkButtonClick(TObject *Sender);
        void __fastcall CancelButtonClick(TObject *Sender);
        void __fastcall FormShow(TObject *Sender);
        void __fastcall HeightBoxChange(TObject *Sender);
        void __fastcall WidthBoxKeyPress(TObject *Sender, char &Key);
private:	// User declarations
        void UpdateSize();
public:		// User declarations
        __fastcall TResizerForm(TComponent* Owner);
        int prevWidth;
        int prevHeight;
        int newWidth;
        int newHeight;
};
//---------------------------------------------------------------------------
extern PACKAGE TResizerForm *ResizerForm;
//---------------------------------------------------------------------------
#endif
