//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "SharpenLevelUnit.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TSharpenForm *SharpenForm;
//---------------------------------------------------------------------------
__fastcall TSharpenForm::TSharpenForm(TComponent* Owner)
        : TForm(Owner)
{
	TranslateForm(this);
}
//---------------------------------------------------------------------------
void __fastcall TSharpenForm::CancelSpeedButtonClick(TObject *Sender)
{
  ModalResult=mrCancel;
}
//---------------------------------------------------------------------------
void __fastcall TSharpenForm::SizeTrackBarChange(TObject *Sender)
{
  SizeEdit->OnChange=NULL;
  int pos=SizeTrackBar->Position;
  SizeEdit->Text=IntToStr(pos/10)+"."+IntToStr(pos%10);
  SizeEdit->OnChange=SizeEditChange;
}
//---------------------------------------------------------------------------
void __fastcall TSharpenForm::SizeEditChange(TObject *Sender)
{
  SizeTrackBar->OnChange=NULL;
  Extended value;
  try
    {
    value=StrToFloat(SizeEdit->Text);
    int pos=Floor(value*10);
    SizeTrackBar->Position=pos;
    }
  catch (...)
    {
    }
  SizeTrackBar->OnChange=SizeTrackBarChange;
}
//---------------------------------------------------------------------------
void __fastcall TSharpenForm::OkSpeedButtonClick(TObject *Sender)
{
  try
    {
    level=StrToFloat(LevelEdit->Text);
    size=StrToFloat(SizeEdit->Text);
    }
  catch (...)
    {
    return;
    }
  ModalResult=mrOk;
}
//---------------------------------------------------------------------------
void __fastcall TSharpenForm::LevelTrackBarChange(TObject *Sender)
{
  LevelEdit->OnChange=NULL;
  int pos=LevelTrackBar->Position;
  LevelEdit->Text=IntToStr(pos/10)+"."+IntToStr(pos%10);
  LevelEdit->OnChange=LevelEditChange;
}
//---------------------------------------------------------------------------
void __fastcall TSharpenForm::LevelEditChange(TObject *Sender)
{
  LevelTrackBar->OnChange=NULL;
  Extended value;
  try
    {
    value=StrToFloat(LevelEdit->Text);
    int pos=Floor(value*10);
    LevelTrackBar->Position=pos;
    }
  catch (...)
    {
    }
  LevelTrackBar->OnChange=LevelTrackBarChange;
}
//---------------------------------------------------------------------------
void __fastcall TSharpenForm::SizeTrackBarKeyPress(TObject *Sender,
      char &Key)
{
  if (Key==VK_RETURN)
      {
      OkSpeedButtonClick(Sender);
      Key=0;
      }
    else
  if (Key==VK_ESCAPE)
      {
      CancelSpeedButtonClick(Sender);
      Key=0;
      }
}
//---------------------------------------------------------------------------

