//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "UserFilter.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TUsrFilterForm *UsrFilterForm;
//---------------------------------------------------------------------------
__fastcall TUsrFilterForm::TUsrFilterForm(TComponent* Owner)
        : TForm(Owner)
{
	TranslateForm(this);
}
//---------------------------------------------------------------------------
void __fastcall TUsrFilterForm::CancelSpeedButtonClick(TObject *Sender)
{
  ModalResult=mrCancel;
}
//---------------------------------------------------------------------------
void __fastcall TUsrFilterForm::OkSpeedButtonClick(TObject *Sender)
{
  try
    {
    WspTable=new Extended[FilterSize*FilterSize];
    int Result=UpdateWspTable(WspTable,FilterSize);
    Result|=UpdateAdditionalParams();
    if (Result!=0)
      {
      delete WspTable;
      WspTable=NULL;
      }
    }
  catch (...)
    {
    WspTable=NULL;
    return;
    }
  if (WspTable==NULL)
    {
    MessageBox(NULL,"Program nie zdoa utworzy tablicy wspczynnikw. Przynajmiej jeden ze wspczynnikw nie jest poprawn liczb zmiennoprzecinkow.",
               "Co Ci nie wyszy te wspczynniki",MB_OK|MB_TASKMODAL|MB_ICONWARNING);
    return;
    }
   else
    ModalResult=mrOk;
}
//---------------------------------------------------------------------------
void __fastcall TUsrFilterForm::LevelTrackBarKeyPress(TObject *Sender,
      char &Key)
{
  if (Key==VK_RETURN)
      {
      OkSpeedButtonClick(Sender);
      Key=0;
      }
    else
  if (Key==VK_ESCAPE)
      {
      CancelSpeedButtonClick(Sender);
      Key=0;
      }
}
//---------------------------------------------------------------------------
void __fastcall TUsrFilterForm::SetMatrix7Enabled(bool nEnabled)
{
  w11->Enabled=nEnabled;
  w12->Enabled=nEnabled;
  w13->Enabled=nEnabled;
  w14->Enabled=nEnabled;
  w15->Enabled=nEnabled;
  w16->Enabled=nEnabled;
  w17->Enabled=nEnabled;
  w71->Enabled=nEnabled;
  w72->Enabled=nEnabled;
  w73->Enabled=nEnabled;
  w74->Enabled=nEnabled;
  w75->Enabled=nEnabled;
  w76->Enabled=nEnabled;
  w77->Enabled=nEnabled;
  w21->Enabled=nEnabled;
  w31->Enabled=nEnabled;
  w41->Enabled=nEnabled;
  w51->Enabled=nEnabled;
  w61->Enabled=nEnabled;
  w27->Enabled=nEnabled;
  w37->Enabled=nEnabled;
  w47->Enabled=nEnabled;
  w57->Enabled=nEnabled;
  w67->Enabled=nEnabled;
 if (nEnabled==false)
  {
  w11->Text="0";w11->Color=clBtnFace;
  w12->Text="0";w12->Color=clBtnFace;
  w13->Text="0";w13->Color=clBtnFace;
  w14->Text="0";w14->Color=clBtnFace;
  w15->Text="0";w15->Color=clBtnFace;
  w16->Text="0";w16->Color=clBtnFace;
  w17->Text="0";w17->Color=clBtnFace;
  w71->Text="0";w71->Color=clBtnFace;
  w72->Text="0";w72->Color=clBtnFace;
  w73->Text="0";w73->Color=clBtnFace;
  w74->Text="0";w74->Color=clBtnFace;
  w75->Text="0";w75->Color=clBtnFace;
  w76->Text="0";w76->Color=clBtnFace;
  w77->Text="0";w77->Color=clBtnFace;
  w21->Text="0";w21->Color=clBtnFace;
  w31->Text="0";w31->Color=clBtnFace;
  w41->Text="0";w41->Color=clBtnFace;
  w51->Text="0";w51->Color=clBtnFace;
  w61->Text="0";w61->Color=clBtnFace;
  w27->Text="0";w27->Color=clBtnFace;
  w37->Text="0";w37->Color=clBtnFace;
  w47->Text="0";w47->Color=clBtnFace;
  w57->Text="0";w57->Color=clBtnFace;
  w67->Text="0";w67->Color=clBtnFace;
  }
 else
  {
  w11->Color=clWindow;
  w12->Color=clWindow;
  w13->Color=clWindow;
  w14->Color=clWindow;
  w15->Color=clWindow;
  w16->Color=clWindow;
  w17->Color=clWindow;
  w71->Color=clWindow;
  w72->Color=clWindow;
  w73->Color=clWindow;
  w74->Color=clWindow;
  w75->Color=clWindow;
  w76->Color=clWindow;
  w77->Color=clWindow;
  w21->Color=clWindow;
  w31->Color=clWindow;
  w41->Color=clWindow;
  w51->Color=clWindow;
  w61->Color=clWindow;
  w27->Color=clWindow;
  w37->Color=clWindow;
  w47->Color=clWindow;
  w57->Color=clWindow;
  w67->Color=clWindow;
  }
}
//---------------------------------------------------------------------------
void __fastcall TUsrFilterForm::SetMatrix5Enabled(bool nEnabled)
{
  w22->Enabled=nEnabled;
  w23->Enabled=nEnabled;
  w24->Enabled=nEnabled;
  w25->Enabled=nEnabled;
  w26->Enabled=nEnabled;
  w62->Enabled=nEnabled;
  w63->Enabled=nEnabled;
  w64->Enabled=nEnabled;
  w65->Enabled=nEnabled;
  w66->Enabled=nEnabled;
  w32->Enabled=nEnabled;
  w42->Enabled=nEnabled;
  w52->Enabled=nEnabled;
  w36->Enabled=nEnabled;
  w46->Enabled=nEnabled;
  w56->Enabled=nEnabled;
 if (nEnabled==false)
  {
  w22->Text="0";
  w23->Text="0";
  w24->Text="0";
  w25->Text="0";
  w26->Text="0";
  w62->Text="0";
  w63->Text="0";
  w64->Text="0";
  w65->Text="0";
  w66->Text="0";
  w32->Text="0";
  w42->Text="0";
  w52->Text="0";
  w36->Text="0";
  w46->Text="0";
  w56->Text="0";
  w22->Color=clBtnFace;
  w23->Color=clBtnFace;
  w24->Color=clBtnFace;
  w25->Color=clBtnFace;
  w26->Color=clBtnFace;
  w62->Color=clBtnFace;
  w63->Color=clBtnFace;
  w64->Color=clBtnFace;
  w65->Color=clBtnFace;
  w66->Color=clBtnFace;
  w32->Color=clBtnFace;
  w42->Color=clBtnFace;
  w52->Color=clBtnFace;
  w36->Color=clBtnFace;
  w46->Color=clBtnFace;
  w56->Color=clBtnFace;
  }
 else
  {
  w22->Color=clWindow;
  w23->Color=clWindow;
  w24->Color=clWindow;
  w25->Color=clWindow;
  w26->Color=clWindow;
  w62->Color=clWindow;
  w63->Color=clWindow;
  w64->Color=clWindow;
  w65->Color=clWindow;
  w66->Color=clWindow;
  w32->Color=clWindow;
  w42->Color=clWindow;
  w52->Color=clWindow;
  w36->Color=clWindow;
  w46->Color=clWindow;
  w56->Color=clWindow;
  }
}
//---------------------------------------------------------------------------
void __fastcall TUsrFilterForm::SetMatrix3Enabled(bool nEnabled)
{
  w33->Enabled=nEnabled;
  w34->Enabled=nEnabled;
  w35->Enabled=nEnabled;
  w53->Enabled=nEnabled;
  w54->Enabled=nEnabled;
  w55->Enabled=nEnabled;
  w43->Enabled=nEnabled;
  w45->Enabled=nEnabled;
  if (nEnabled==false)
    {
    w33->Text="0";
    w34->Text="0";
    w35->Text="0";
    w53->Text="0";
    w54->Text="0";
    w55->Text="0";
    w43->Text="0";
    w45->Text="0";
    w33->Color=clBtnFace;
    w34->Color=clBtnFace;
    w35->Color=clBtnFace;
    w53->Color=clBtnFace;
    w54->Color=clBtnFace;
    w55->Color=clBtnFace;
    w43->Color=clBtnFace;
    w45->Color=clBtnFace;
   }
   else
    {
    w33->Color=clWindow;
    w34->Color=clWindow;
    w35->Color=clWindow;
    w53->Color=clWindow;
    w54->Color=clWindow;
    w55->Color=clWindow;
    w43->Color=clWindow;
    w45->Color=clWindow;
    }
}
//---------------------------------------------------------------------------
void __fastcall TUsrFilterForm::SetMatrix1Enabled(bool nEnabled)
{
  w44->Enabled=nEnabled;
  if (nEnabled==false)
    {
    w44->Text="0";
    w44->Color=clBtnFace;
    }
   else
    {
    w44->Color=clWindow;
    }
}
//---------------------------------------------------------------------------
void __fastcall TUsrFilterForm::UpdateMatrixSize(int nFilterSize)
{
    SetMatrix7Enabled(nFilterSize>=7);
    SetMatrix5Enabled(nFilterSize>=5);
    SetMatrix3Enabled(nFilterSize>=3);
    SetMatrix1Enabled(nFilterSize>=1);
    FilterSize=nFilterSize;
}
//---------------------------------------------------------------------------
void __fastcall TUsrFilterForm::RozmiarChange(TObject *Sender)
{
        switch (Rozmiar->ItemIndex)
        {
        case 3: UpdateMatrixSize(7); break;
        case 2: UpdateMatrixSize(5); break;
        case 1: UpdateMatrixSize(3); break;
        case 0: UpdateMatrixSize(1); break;
        default:UpdateMatrixSize(0); break;
        }
}
//---------------------------------------------------------------------------
void __fastcall TUsrFilterForm::TypClick(TObject *Sender)
{
        switch (Typ->ItemIndex) {
                case 0: // dowolny
                        Rodzaj->Enabled = FALSE;
                        Napis->Enabled = FALSE;
                        Rodzaj->Items->Clear();
                        break;
                case 1: // dolnoprzepustowe
                        Rodzaj->Enabled = TRUE;
                        Napis->Enabled = TRUE;
                        Rodzaj->Items->Clear();
                        Rodzaj->Items->Add("Filtr 1");
                        Rodzaj->Items->Add("Filtr 2");
                        Rodzaj->Items->Add("Filtr 3");
                        Rodzaj->Items->Add("Filtr 4");
                        Rodzaj->ItemIndex = 0;
                        RodzajClick(UsrFilterForm);
                        break;
                case 2: // gornoprzepustowe
                        Rodzaj->Enabled = TRUE;
                        Napis->Enabled = TRUE;
                        Rodzaj->Items->Clear();
                        Rodzaj->Items->Add("Filtr 1");
                        Rodzaj->Items->Add("Filtr 2");
                        Rodzaj->Items->Add("Filtr 3");
                        Rodzaj->Items->Add("Filtr 4");
                        Rodzaj->ItemIndex = 0;
                        RodzajClick(UsrFilterForm);
                        break;
                case 3: // krawedziowe
                        Rodzaj->Enabled = TRUE;
                        Napis->Enabled = TRUE;
                        Rodzaj->Items->Clear();
                        Rodzaj->Items->Add("poziomy");
                        Rodzaj->Items->Add("pionowy");
                        Rodzaj->Items->Add("ukony");
                        Rodzaj->ItemIndex = 0;
                        RodzajClick(UsrFilterForm);
                        break;
                case 4: // gradientowe
                        Rodzaj->Enabled = TRUE;
                        Napis->Enabled = TRUE;
                        Rodzaj->Items->Clear();
                        Rodzaj->Items->Add("pnoc");
                        Rodzaj->Items->Add("poudnie");
                        Rodzaj->Items->Add("wschd");
                        Rodzaj->Items->Add("zachd");
                        Rodzaj->Items->Add("pn-wsch");
                        Rodzaj->Items->Add("pn-zach");
                        Rodzaj->Items->Add("pd-wsch");
                        Rodzaj->Items->Add("pd-zach");
                        Rodzaj->ItemIndex = 0;
                        RodzajClick(UsrFilterForm);
                        break;
                case 5: // plaskorzezba
                        Rodzaj->Enabled = TRUE;
                        Napis->Enabled = TRUE;
                        Rodzaj->Items->Clear();
                        Rodzaj->Items->Add("pnoc");
                        Rodzaj->Items->Add("poudnie");
                        Rodzaj->Items->Add("wschd");
                        Rodzaj->Items->Add("zachd");
                        Rodzaj->Items->Add("pn-wsch");
                        Rodzaj->Items->Add("pn-zach");
                        Rodzaj->Items->Add("pd-wsch");
                        Rodzaj->Items->Add("pd-zach");
                        Rodzaj->ItemIndex = 0;
                        RodzajClick(UsrFilterForm);
                        break;
                case 6: // Laplace'a
                        Rodzaj->Enabled = TRUE;
                        Napis->Enabled = TRUE;
                        Rodzaj->Items->Clear();
                        Rodzaj->Items->Add("Filtr 1");
                        Rodzaj->Items->Add("Filtr 2");
                        Rodzaj->Items->Add("Filtr 3");
                        Rodzaj->ItemIndex = 0;
                        RodzajClick(UsrFilterForm);
                        break;
                case 7: // Prewitta
                        Rodzaj->Enabled = TRUE;
                        Napis->Enabled = TRUE;
                        Rodzaj->Items->Clear();
                        Rodzaj->Items->Add("poziomy");
                        Rodzaj->Items->Add("pionowy");
                        Rodzaj->ItemIndex = 0;
                        RodzajClick(UsrFilterForm);
                        break;
                case 8: // Sobela
                        Rodzaj->Enabled = TRUE;
                        Napis->Enabled = TRUE;
                        Rodzaj->Items->Clear();
                        Rodzaj->Items->Add("poziomy");
                        Rodzaj->Items->Add("pionowy");
                        Rodzaj->ItemIndex = 0;
                        RodzajClick(UsrFilterForm);
                        break;


        }
}
//---------------------------------------------------------------------------
void __fastcall TUsrFilterForm::RodzajClick(TObject *Sender)
{
        switch (Typ->ItemIndex) {
                case 1:
                        switch (Rodzaj->ItemIndex) {
                                case 0: // dolnoprzepustowy 1
                                        Rozmiar->ItemIndex = 1;
                                        RozmiarChange(UsrFilterForm);
                                        ScaleEdit->Text = "9";
                                        OffsetEdit->Text = "0";
                                        w33->Text = "1"; w34->Text = "1"; w35->Text = "1";
                                        w43->Text = "1"; w44->Text = "1"; w45->Text = "1";
                                        w53->Text = "1"; w54->Text = "1"; w55->Text = "1";
                                        break;
                                case 1: // dolnoprzepustowy 2
                                        Rozmiar->ItemIndex = 1;
                                        RozmiarChange(UsrFilterForm);
                                        ScaleEdit->Text = "10";
                                        OffsetEdit->Text = "0";
                                        w33->Text = "1"; w34->Text = "1"; w35->Text = "1";
                                        w43->Text = "1"; w44->Text = "2"; w45->Text = "1";
                                        w53->Text = "1"; w54->Text = "1"; w55->Text = "1";
                                        break;
                                case 2: // dolnoprzepustowy 3
                                        Rozmiar->ItemIndex = 1;
                                        RozmiarChange(UsrFilterForm);
                                        ScaleEdit->Text = "12";
                                        OffsetEdit->Text = "0";
                                        w33->Text = "1"; w34->Text = "1"; w35->Text = "1";
                                        w43->Text = "1"; w44->Text = "4"; w45->Text = "1";
                                        w53->Text = "1"; w54->Text = "1"; w55->Text = "1";
                                        break;
                                case 3: // dolnoprzepustowy 4
                                        Rozmiar->ItemIndex = 1;
                                        RozmiarChange(UsrFilterForm);
                                        ScaleEdit->Text = "16";
                                        OffsetEdit->Text = "0";
                                        w33->Text = "1"; w34->Text = "2"; w35->Text = "1";
                                        w43->Text = "2"; w44->Text = "4"; w45->Text = "2";
                                        w53->Text = "1"; w54->Text = "2"; w55->Text = "1";
                                        break;
                        }
                        break;
                case 2:
                        switch (Rodzaj->ItemIndex) {
                                case 0: // gornoprzepustowy 1
                                        Rozmiar->ItemIndex = 1;
                                        RozmiarChange(UsrFilterForm);
                                        ScaleEdit->Text = "6";
                                        OffsetEdit->Text = "0";
                                        w33->Text = "-1"; w34->Text = "-1"; w35->Text = "-1";
                                        w43->Text = "-1"; w44->Text = "14"; w45->Text = "-1";
                                        w53->Text = "-1"; w54->Text = "-1"; w55->Text = "-1";

                                        break;
                                case 1: // gornoprzepustowy 2
                                        Rozmiar->ItemIndex = 1;
                                        RozmiarChange(UsrFilterForm);
                                        ScaleEdit->Text = "1";
                                        OffsetEdit->Text = "0";
                                        w33->Text = "0"; w34->Text = "-1"; w35->Text = "0";
                                        w43->Text = "-1"; w44->Text = "5"; w45->Text = "-1";
                                        w53->Text = "0"; w54->Text = "-1"; w55->Text = "0";
                                        break;
                                case 2: // gornoprzepustowy 3
                                        Rozmiar->ItemIndex = 1;
                                        RozmiarChange(UsrFilterForm);
                                        ScaleEdit->Text = "1";
                                        OffsetEdit->Text = "0";
                                        w33->Text = "1"; w34->Text = "-2"; w35->Text = "1";
                                        w43->Text = "-2"; w44->Text = "5"; w45->Text = "-2";
                                        w53->Text = "1"; w54->Text = "-2"; w55->Text = "1";
                                        break;
                                case 3: // gornoprzepustowy 4
                                        Rozmiar->ItemIndex = 1;
                                        RozmiarChange(UsrFilterForm);
                                        ScaleEdit->Text = "1";
                                        OffsetEdit->Text = "0";
                                        w33->Text = "-1"; w34->Text = "-1"; w35->Text = "-1";
                                        w43->Text = "-1"; w44->Text = "9"; w45->Text = "-1";
                                        w53->Text = "-1"; w54->Text = "-1"; w55->Text = "-1";
                                        break;
                        }
                        break;
                case 3:
                        switch (Rodzaj->ItemIndex) {
                                case 0: // krawedziowy poziomy
                                        Rozmiar->ItemIndex = 1;
                                        RozmiarChange(UsrFilterForm);
                                        ScaleEdit->Text = "1";
                                        OffsetEdit->Text = "0";
                                        w33->Text = "0"; w34->Text = "-1"; w35->Text = "0";
                                        w43->Text = "0"; w44->Text = "1"; w45->Text = "0";
                                        w53->Text = "0"; w54->Text = "0"; w55->Text = "0";
                                        break;
                                case 1: // krawedziowy pionowy
                                        Rozmiar->ItemIndex = 1;
                                        RozmiarChange(UsrFilterForm);
                                        ScaleEdit->Text = "1";
                                        OffsetEdit->Text = "0";
                                        w33->Text = "0"; w34->Text = "0"; w35->Text = "0";
                                        w43->Text = "-1"; w44->Text = "1"; w45->Text = "0";
                                        w53->Text = "0"; w54->Text = "0"; w55->Text = "0";
                                        break;
                                case 2: // krawedziowy ukosny
                                        Rozmiar->ItemIndex = 1;
                                        RozmiarChange(UsrFilterForm);
                                        ScaleEdit->Text = "1";
                                        OffsetEdit->Text = "0";
                                        w33->Text = "-1"; w34->Text = "0"; w35->Text = "0";
                                        w43->Text = "0"; w44->Text = "1"; w45->Text = "0";
                                        w53->Text = "0"; w54->Text = "0"; w55->Text = "0";
                                        break;
                        }
                        break;
                case 4:
                        switch (Rodzaj->ItemIndex) {
                                case 0: // gradientowy polnoc
                                        Rozmiar->ItemIndex = 1;
                                        RozmiarChange(UsrFilterForm);
                                        ScaleEdit->Text = "1";
                                        OffsetEdit->Text = "0";
                                        w33->Text = "1"; w34->Text = "1"; w35->Text = "1";
                                        w43->Text = "1"; w44->Text = "-2"; w45->Text = "1";
                                        w53->Text = "-1"; w54->Text = "-1"; w55->Text = "-1";
                                        break;
                                case 1: // gradientowy poludnie
                                        Rozmiar->ItemIndex = 1;
                                        RozmiarChange(UsrFilterForm);
                                        ScaleEdit->Text = "1";
                                        OffsetEdit->Text = "0";
                                        w33->Text = "-1"; w34->Text = "-1"; w35->Text = "-1";
                                        w43->Text = "1"; w44->Text = "-2"; w45->Text = "1";
                                        w53->Text = "1"; w54->Text = "1"; w55->Text = "1";
                                        break;
                                case 2: // gradientowy wschod
                                        Rozmiar->ItemIndex = 1;
                                        RozmiarChange(UsrFilterForm);
                                        ScaleEdit->Text = "1";
                                        OffsetEdit->Text = "0";
                                        w33->Text = "-1"; w34->Text = "1"; w35->Text = "1";
                                        w43->Text = "-1"; w44->Text = "-2"; w45->Text = "1";
                                        w53->Text = "-1"; w54->Text = "1"; w55->Text = "1";
                                        break;
                                case 3: // gradientowy zachod
                                        Rozmiar->ItemIndex = 1;
                                        RozmiarChange(UsrFilterForm);
                                        ScaleEdit->Text = "1";
                                        OffsetEdit->Text = "0";
                                        w33->Text = "1"; w34->Text = "1"; w35->Text = "-1";
                                        w43->Text = "1"; w44->Text = "-2"; w45->Text = "-1";
                                        w53->Text = "1"; w54->Text = "1"; w55->Text = "-1";
                                        break;
                                case 4: // gradientowy pn-wsch
                                        Rozmiar->ItemIndex = 1;
                                        RozmiarChange(UsrFilterForm);
                                        ScaleEdit->Text = "1";
                                        OffsetEdit->Text = "0";
                                        w33->Text = "1"; w34->Text = "1"; w35->Text = "1";
                                        w43->Text = "-1"; w44->Text = "-2"; w45->Text = "1";
                                        w53->Text = "-1"; w54->Text = "-1"; w55->Text = "1";
                                        break;
                                case 5: // gradientowy pn-zach
                                        Rozmiar->ItemIndex = 1;
                                        RozmiarChange(UsrFilterForm);
                                        ScaleEdit->Text = "1";
                                        OffsetEdit->Text = "0";
                                        w33->Text = "1"; w34->Text = "1"; w35->Text = "1";
                                        w43->Text = "1"; w44->Text = "-2"; w45->Text = "-1";
                                        w53->Text = "1"; w54->Text = "-1"; w55->Text = "-1";
                                        break;
                                case 6: // gradientowy pd-wsch
                                        Rozmiar->ItemIndex = 1;
                                        RozmiarChange(UsrFilterForm);
                                        ScaleEdit->Text = "1";
                                        OffsetEdit->Text = "0";
                                        w33->Text = "-1"; w34->Text = "-1"; w35->Text = "1";
                                        w43->Text = "-1"; w44->Text = "-2"; w45->Text = "1";
                                        w53->Text = "1"; w54->Text = "1"; w55->Text = "1";
                                        break;
                                case 7: // gradientowy pd-zach
                                        Rozmiar->ItemIndex = 1;
                                        RozmiarChange(UsrFilterForm);
                                        ScaleEdit->Text = "1";
                                        OffsetEdit->Text = "0";
                                        w33->Text = "1"; w34->Text = "-1"; w35->Text = "-1";
                                        w43->Text = "1"; w44->Text = "-2"; w45->Text = "-1";
                                        w53->Text = "1"; w54->Text = "1"; w55->Text = "1";
                                        break;
                        }
                        break;
                case 5:
                        switch (Rodzaj->ItemIndex) {
                                case 0: // plaskorzezba polnoc
                                        Rozmiar->ItemIndex = 1;
                                        RozmiarChange(UsrFilterForm);
                                        ScaleEdit->Text = "1";
                                        OffsetEdit->Text = "0";
                                        w33->Text = "1"; w34->Text = "1"; w35->Text = "1";
                                        w43->Text = "0"; w44->Text = "1"; w45->Text = "0";
                                        w53->Text = "-1"; w54->Text = "-1"; w55->Text = "-1";
                                        break;
                                case 1: // plaskorzezba poludnie
                                        Rozmiar->ItemIndex = 1;
                                        RozmiarChange(UsrFilterForm);
                                        ScaleEdit->Text = "1";
                                        OffsetEdit->Text = "0";
                                        w33->Text = "-1"; w34->Text = "-1"; w35->Text = "-1";
                                        w43->Text = "0"; w44->Text = "1"; w45->Text = "0";
                                        w53->Text = "1"; w54->Text = "1"; w55->Text = "1";
                                        break;
                                case 2: // plaskorzezba wschod
                                        Rozmiar->ItemIndex = 1;
                                        RozmiarChange(UsrFilterForm);
                                        ScaleEdit->Text = "1";
                                        OffsetEdit->Text = "0";
                                        w33->Text = "-1"; w34->Text = "0"; w35->Text = "1";
                                        w43->Text = "-1"; w44->Text = "1"; w45->Text = "1";
                                        w53->Text = "-1"; w54->Text = "0"; w55->Text = "1";
                                        break;
                                case 3: // plaskorzezba zachod
                                        Rozmiar->ItemIndex = 1;
                                        RozmiarChange(UsrFilterForm);
                                        ScaleEdit->Text = "1";
                                        OffsetEdit->Text = "0";
                                        w33->Text = "1"; w34->Text = "0"; w35->Text = "-1";
                                        w43->Text = "1"; w44->Text = "1"; w45->Text = "-1";
                                        w53->Text = "1"; w54->Text = "0"; w55->Text = "-1";
                                        break;
                                case 4: // plaskorzezba pn-wsch
                                        Rozmiar->ItemIndex = 1;
                                        RozmiarChange(UsrFilterForm);
                                        ScaleEdit->Text = "1";
                                        OffsetEdit->Text = "0";
                                        w33->Text = "0"; w34->Text = "1"; w35->Text = "1";
                                        w43->Text = "-1"; w44->Text = "1"; w45->Text = "1";
                                        w53->Text = "-1"; w54->Text = "-1"; w55->Text = "0";
                                        break;
                                case 5: // plaskorzezba pn-zach
                                        Rozmiar->ItemIndex = 1;
                                        RozmiarChange(UsrFilterForm);
                                        ScaleEdit->Text = "1";
                                        OffsetEdit->Text = "0";
                                        w33->Text = "1"; w34->Text = "1"; w35->Text = "0";
                                        w43->Text = "1"; w44->Text = "1"; w45->Text = "-1";
                                        w53->Text = "0"; w54->Text = "-1"; w55->Text = "-1";
                                        break;
                                case 6: // plaskorzezba pd-wsch
                                        Rozmiar->ItemIndex = 1;
                                        RozmiarChange(UsrFilterForm);
                                        ScaleEdit->Text = "1";
                                        OffsetEdit->Text = "0";
                                        w33->Text = "-1"; w34->Text = "-1"; w35->Text = "0";
                                        w43->Text = "-1"; w44->Text = "1"; w45->Text = "1";
                                        w53->Text = "0"; w54->Text = "1"; w55->Text = "1";
                                        break;
                                case 7: // plaskorzezba pd-zach
                                        Rozmiar->ItemIndex = 1;
                                        RozmiarChange(UsrFilterForm);
                                        ScaleEdit->Text = "1";
                                        OffsetEdit->Text = "0";
                                        w33->Text = "0"; w34->Text = "-1"; w35->Text = "-1";
                                        w43->Text = "1"; w44->Text = "1"; w45->Text = "-1";
                                        w53->Text = "1"; w54->Text = "1"; w55->Text = "0";
                                        break;
                        }
                        break;
                case 6:
                        switch (Rodzaj->ItemIndex) {
                                case 0: // Laplace 1
                                        Rozmiar->ItemIndex = 1;
                                        RozmiarChange(UsrFilterForm);
                                        ScaleEdit->Text = "1";
                                        OffsetEdit->Text = "0";
                                        w33->Text = "0"; w34->Text = "1"; w35->Text = "0";
                                        w43->Text = "1"; w44->Text = "-4"; w45->Text = "1";
                                        w53->Text = "0"; w54->Text = "1"; w55->Text = "0";
                                        break;
                                case 1: // Laplace 2
                                        Rozmiar->ItemIndex = 1;
                                        RozmiarChange(UsrFilterForm);
                                        ScaleEdit->Text = "1";
                                        OffsetEdit->Text = "0";
                                        w33->Text = "-1"; w34->Text = "-1"; w35->Text = "-1";
                                        w43->Text = "-1"; w44->Text = "8"; w45->Text = "-1";
                                        w53->Text = "-1"; w54->Text = "-1"; w55->Text = "-1";
                                        break;
                                case 2: // Laplace 3
                                        Rozmiar->ItemIndex = 1;
                                        RozmiarChange(UsrFilterForm);
                                        ScaleEdit->Text = "1";
                                        OffsetEdit->Text = "0";
                                        w33->Text = "1"; w34->Text = "-2"; w35->Text = "1";
                                        w43->Text = "-2"; w44->Text = "4"; w45->Text = "-2";
                                        w53->Text = "1"; w54->Text = "-2"; w55->Text = "1";
                                        break;
                        }
                        break;
                case 7:
                        switch (Rodzaj->ItemIndex) {
                                case 0: // Prewitta poziomy
                                        Rozmiar->ItemIndex = 1;
                                        RozmiarChange(UsrFilterForm);
                                        ScaleEdit->Text = "1";
                                        OffsetEdit->Text = "0";
                                        w33->Text = "-1"; w34->Text = "-1"; w35->Text = "-1";
                                        w43->Text = "0"; w44->Text = "0"; w45->Text = "0";
                                        w53->Text = "1"; w54->Text = "1"; w55->Text = "1";
                                        break;
                                case 1: // Prewitta pionowy
                                        Rozmiar->ItemIndex = 1;
                                        RozmiarChange(UsrFilterForm);
                                        ScaleEdit->Text = "1";
                                        OffsetEdit->Text = "0";
                                        w33->Text = "1"; w34->Text = "0"; w35->Text = "-1";
                                        w43->Text = "1"; w44->Text = "0"; w45->Text = "-1";
                                        w53->Text = "1"; w54->Text = "0"; w55->Text = "-1";
                                        break;
                        }
                        break;
                case 8:
                        switch (Rodzaj->ItemIndex) {
                                case 0: // Sobela poziomy
                                        Rozmiar->ItemIndex = 1;
                                        RozmiarChange(UsrFilterForm);
                                        ScaleEdit->Text = "1";
                                        OffsetEdit->Text = "0";
                                        w33->Text = "-1"; w34->Text = "-2"; w35->Text = "-1";
                                        w43->Text = "0"; w44->Text = "0"; w45->Text = "0";
                                        w53->Text = "1"; w54->Text = "2"; w55->Text = "1";
                                        break;
                                case 1: // sobela pionowy
                                        Rozmiar->ItemIndex = 1;
                                        RozmiarChange(UsrFilterForm);
                                        ScaleEdit->Text = "1";
                                        OffsetEdit->Text = "0";
                                        w33->Text = "1"; w34->Text = "0"; w35->Text = "-1";
                                        w43->Text = "2"; w44->Text = "0"; w45->Text = "-2";
                                        w53->Text = "1"; w54->Text = "0"; w55->Text = "-1";
                                        break;
                        }
                        break;

        }
}
//---------------------------------------------------------------------------
void __fastcall TUsrFilterForm::wKeyPress(TObject *Sender, char &Key)
{
        Typ->ItemIndex = 0;
        TypClick(UsrFilterForm);
}
//---------------------------------------------------------------------------
void __fastcall TUsrFilterForm::RozmiarClick(TObject *Sender)
{
        Typ->ItemIndex = 0;
        RozmiarChange(UsrFilterForm);
}
//---------------------------------------------------------------------------
void __fastcall TUsrFilterForm::RobaqImageDblClick(TObject *Sender)
{
        MessageBox(NULL,"Ten element programu zosta zaadoptowany z programu \"PhotoRobaq\". Podzikowania dla Robaczka...",
               "Robaczane gniazdko",MB_OK|MB_TASKMODAL|MB_ICONINFORMATION);
}
//---------------------------------------------------------------------------
void __fastcall TUsrFilterForm::FormCreate(TObject *Sender)
{
  Rozmiar->ItemIndex=1;
  RozmiarChange(NULL);
}
//---------------------------------------------------------------------------
int __fastcall TUsrFilterForm::UpdateAdditionalParams()
{
 __try {
    Divider=StrToFloat(ScaleEdit->Text);
    Adder=StrToFloat(OffsetEdit->Text);
    return 0;
 }__except(EXCEPTION_EXECUTE_HANDLER) { return 2;};
}
//---------------------------------------------------------------------------
int __fastcall TUsrFilterForm::UpdateWspTable(Extended *wTbl,int tblSize)
{
 __try {
    switch (tblSize)
    {
        case 7:
          wTbl[0          ]=StrToFloat(w11->Text);
          wTbl[0+tblSize*1]=StrToFloat(w21->Text);
          wTbl[0+tblSize*2]=StrToFloat(w31->Text);
          wTbl[0+tblSize*3]=StrToFloat(w41->Text);
          wTbl[0+tblSize*4]=StrToFloat(w51->Text);
          wTbl[0+tblSize*5]=StrToFloat(w61->Text);
          wTbl[0+tblSize*6]=StrToFloat(w71->Text);

          wTbl[1          ]=StrToFloat(w12->Text);
          wTbl[1+tblSize*1]=StrToFloat(w22->Text);
          wTbl[1+tblSize*2]=StrToFloat(w32->Text);
          wTbl[1+tblSize*3]=StrToFloat(w42->Text);
          wTbl[1+tblSize*4]=StrToFloat(w52->Text);
          wTbl[1+tblSize*5]=StrToFloat(w62->Text);
          wTbl[1+tblSize*6]=StrToFloat(w72->Text);

          wTbl[2          ]=StrToFloat(w13->Text);
          wTbl[2+tblSize*1]=StrToFloat(w23->Text);
          wTbl[2+tblSize*2]=StrToFloat(w33->Text);
          wTbl[2+tblSize*3]=StrToFloat(w43->Text);
          wTbl[2+tblSize*4]=StrToFloat(w53->Text);
          wTbl[2+tblSize*5]=StrToFloat(w63->Text);
          wTbl[2+tblSize*6]=StrToFloat(w73->Text);

          wTbl[3          ]=StrToFloat(w14->Text);
          wTbl[3+tblSize*1]=StrToFloat(w24->Text);
          wTbl[3+tblSize*2]=StrToFloat(w34->Text);
          wTbl[3+tblSize*3]=StrToFloat(w44->Text);
          wTbl[3+tblSize*4]=StrToFloat(w54->Text);
          wTbl[3+tblSize*5]=StrToFloat(w64->Text);
          wTbl[3+tblSize*6]=StrToFloat(w74->Text);

          wTbl[4          ]=StrToFloat(w15->Text);
          wTbl[4+tblSize*1]=StrToFloat(w25->Text);
          wTbl[4+tblSize*2]=StrToFloat(w35->Text);
          wTbl[4+tblSize*3]=StrToFloat(w45->Text);
          wTbl[4+tblSize*4]=StrToFloat(w55->Text);
          wTbl[4+tblSize*5]=StrToFloat(w65->Text);
          wTbl[4+tblSize*6]=StrToFloat(w75->Text);

          wTbl[5          ]=StrToFloat(w16->Text);
          wTbl[5+tblSize*1]=StrToFloat(w26->Text);
          wTbl[5+tblSize*2]=StrToFloat(w36->Text);
          wTbl[5+tblSize*3]=StrToFloat(w46->Text);
          wTbl[5+tblSize*4]=StrToFloat(w56->Text);
          wTbl[5+tblSize*5]=StrToFloat(w66->Text);
          wTbl[5+tblSize*6]=StrToFloat(w76->Text);

          wTbl[6          ]=StrToFloat(w17->Text);
          wTbl[6+tblSize*1]=StrToFloat(w27->Text);
          wTbl[6+tblSize*2]=StrToFloat(w37->Text);
          wTbl[6+tblSize*3]=StrToFloat(w47->Text);
          wTbl[6+tblSize*4]=StrToFloat(w57->Text);
          wTbl[6+tblSize*5]=StrToFloat(w67->Text);
          wTbl[6+tblSize*6]=StrToFloat(w77->Text);
          return 0;
        case 5:
          wTbl[0          ]=StrToFloat(w22->Text);
          wTbl[0+tblSize*1]=StrToFloat(w32->Text);
          wTbl[0+tblSize*2]=StrToFloat(w42->Text);
          wTbl[0+tblSize*3]=StrToFloat(w52->Text);
          wTbl[0+tblSize*4]=StrToFloat(w62->Text);

          wTbl[1          ]=StrToFloat(w23->Text);
          wTbl[1+tblSize*1]=StrToFloat(w33->Text);
          wTbl[1+tblSize*2]=StrToFloat(w43->Text);
          wTbl[1+tblSize*3]=StrToFloat(w53->Text);
          wTbl[1+tblSize*4]=StrToFloat(w63->Text);

          wTbl[2          ]=StrToFloat(w24->Text);
          wTbl[2+tblSize*1]=StrToFloat(w34->Text);
          wTbl[2+tblSize*2]=StrToFloat(w44->Text);
          wTbl[2+tblSize*3]=StrToFloat(w54->Text);
          wTbl[2+tblSize*4]=StrToFloat(w64->Text);

          wTbl[3          ]=StrToFloat(w25->Text);
          wTbl[3+tblSize*1]=StrToFloat(w35->Text);
          wTbl[3+tblSize*2]=StrToFloat(w45->Text);
          wTbl[3+tblSize*3]=StrToFloat(w55->Text);
          wTbl[3+tblSize*4]=StrToFloat(w65->Text);

          wTbl[4          ]=StrToFloat(w26->Text);
          wTbl[4+tblSize*1]=StrToFloat(w36->Text);
          wTbl[4+tblSize*2]=StrToFloat(w46->Text);
          wTbl[4+tblSize*3]=StrToFloat(w56->Text);
          wTbl[4+tblSize*4]=StrToFloat(w66->Text);
          return 0;
        case 3:
          wTbl[0          ]=StrToFloat(w33->Text);
          wTbl[0+tblSize*1]=StrToFloat(w43->Text);
          wTbl[0+tblSize*2]=StrToFloat(w53->Text);
          wTbl[1          ]=StrToFloat(w34->Text);
          wTbl[1+tblSize*1]=StrToFloat(w44->Text);
          wTbl[1+tblSize*2]=StrToFloat(w54->Text);
          wTbl[2          ]=StrToFloat(w35->Text);
          wTbl[2+tblSize*1]=StrToFloat(w45->Text);
          wTbl[2+tblSize*2]=StrToFloat(w55->Text);
          return 0;
        case 1:
          wTbl[0          ]=StrToFloat(w44->Text);
          return 0;
        default:
          return 1;
    }
 }__except(EXCEPTION_EXECUTE_HANDLER) { return 2;};
}
//---------------------------------------------------------------------------
/*
        Podglad->Enabled = FALSE;
        Filtruj->Enabled = FALSE;
        Anuluj->Enabled = FALSE;
        PhotoRobal->Status->Refresh();
        int x_local, y_local;
        int x_global, y_global;
        int wsp_filtru[5][5];
        int r, g, b;
        byte lewa_granica, prawa_granica;
        int wsp_skali, przesuniecie;
        int licznik = 0;

        wsp_filtru[0][0] = StrToInt(w11->Text); // przepisanie wartosci do macierzy (szybsze dzialanie pozniej)
        wsp_filtru[0][1] = StrToInt(w12->Text);
        wsp_filtru[0][2] = StrToInt(w13->Text);
        wsp_filtru[0][3] = StrToInt(w14->Text);
        wsp_filtru[0][4] = StrToInt(w15->Text);
        wsp_filtru[1][0] = StrToInt(w21->Text);
        wsp_filtru[1][1] = StrToInt(w22->Text);
        wsp_filtru[1][2] = StrToInt(w23->Text);
        wsp_filtru[1][3] = StrToInt(w24->Text);
        wsp_filtru[1][4] = StrToInt(w25->Text);
        wsp_filtru[2][0] = StrToInt(w31->Text);
        wsp_filtru[2][1] = StrToInt(w32->Text);
        wsp_filtru[2][2] = StrToInt(w33->Text);
        wsp_filtru[2][3] = StrToInt(w34->Text);
        wsp_filtru[2][4] = StrToInt(w35->Text);
        wsp_filtru[3][0] = StrToInt(w41->Text);
        wsp_filtru[3][1] = StrToInt(w42->Text);
        wsp_filtru[3][2] = StrToInt(w43->Text);
        wsp_filtru[3][3] = StrToInt(w44->Text);
        wsp_filtru[3][4] = StrToInt(w45->Text);
        wsp_filtru[4][0] = StrToInt(w51->Text);
        wsp_filtru[4][1] = StrToInt(w52->Text);
        wsp_filtru[4][2] = StrToInt(w53->Text);
        wsp_filtru[4][3] = StrToInt(w54->Text);
        wsp_filtru[4][4] = StrToInt(w55->Text);

        wsp_skali = StrToInt(ScaleEdit->Text);
        przesuniecie = StrToInt(OffsetEdit->Text);

        lewa_granica = 2 - wymiar;
        prawa_granica = 3 + wymiar;

        DoubleBuffered = true;

        if (PhotoRobal->Obraz->Picture->Bitmap->PixelFormat == pf8bit) { // dla obrazow 8-bitowych (1 skladowa)
                for (y_global = 0; y_global < Okno->Ostatni->Picture->Height; y_global++) {
                for (x_global = 0; x_global < Okno->Ostatni->Picture->Width; x_global++) {
                         r = 0;
                        for (y_local = lewa_granica; y_local < prawa_granica; y_local++) {
                        for (x_local = lewa_granica; x_local < prawa_granica; x_local++) {
                                r += GetRValue(Okno->Ostatni->Picture->Bitmap->Canvas->Pixels[x_global+x_local-2][y_global+y_local-2]) * wsp_filtru[x_local][y_local];
                        }
                        }
                        r = abs(r)/wsp_skali + przesuniecie;
                        if (r > 255) r = 255;

                        PhotoRobal->Obraz->Picture->Bitmap->Canvas->Pixels[x_global][y_global] = RGB((byte)r,(byte)r,(byte)r);
                }
                licznik++;
                if (licznik == 30) {
                        PhotoRobal->Obraz->Refresh();
                        licznik = 0;
                }
                }
        }
        if (PhotoRobal->Obraz->Picture->Bitmap->PixelFormat == pf24bit) { // dla obrazow 24-bitowych (3 skladowe)
                for (y_global = 0; y_global < Okno->Ostatni->Picture->Height; y_global++) {
                for (x_global = 0; x_global < Okno->Ostatni->Picture->Width; x_global++) {
                        r = 0; g = 0; b = 0;
                        for (y_local = lewa_granica; y_local < prawa_granica; y_local++) {
                        for (x_local = lewa_granica; x_local < prawa_granica; x_local++) {
                                r += GetRValue(Okno->Ostatni->Picture->Bitmap->Canvas->Pixels[x_global+x_local-2][y_global+y_local-2]) * wsp_filtru[x_local][y_local];
                                g += GetGValue(Okno->Ostatni->Picture->Bitmap->Canvas->Pixels[x_global+x_local-2][y_global+y_local-2]) * wsp_filtru[x_local][y_local];
                                b += GetBValue(Okno->Ostatni->Picture->Bitmap->Canvas->Pixels[x_global+x_local-2][y_global+y_local-2]) * wsp_filtru[x_local][y_local];
                        }
                        }
                        r = abs(r)/wsp_skali + przesuniecie;
                        g = abs(g)/wsp_skali + przesuniecie;
                        b = abs(b)/wsp_skali + przesuniecie;
                        if (r>255) r = 255;
                        if (g>255) g = 255;
                        if (b>255) b = 255;
                        PhotoRobal->Obraz->Picture->Bitmap->Canvas->Pixels[x_global][y_global] = RGB((byte)r, (byte)g, (byte)b);
                }
                licznik++;
                if (licznik == 30) {
                        PhotoRobal->Obraz->Refresh();
                        licznik = 0;

                }
                }
        }
        PhotoRobal->Obraz->Refresh();
        PhotoRobal->Status->Panels->Items[0]->Text = "Podgld";
        Podglad->Enabled = TRUE;
        Filtruj->Enabled = TRUE;
        Anuluj->Enabled = TRUE;
        filtruj_needed = FALSE;
        Histogram->FormShow(UsrFilterForm);
        DoubleBuffered = false;
*/

