//---------------------------------------------------------------------------

#ifndef UserFilterH
#define UserFilterH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include <ComCtrls.hpp>
#include <Math.hpp>
#include <ExtCtrls.hpp>
#include <Graphics.hpp>
#include "FXProcs.h"
//---------------------------------------------------------------------------
class TUsrFilterForm : public TForm
{
__published:	// IDE-managed Components
        TGroupBox *WspGroup;
        TEdit *ScaleEdit;
        TComboBox *Rozmiar;
        TLabel *Label1;
        TComboBox *Rodzaj;
        TLabel *Label2;
        TEdit *OffsetEdit;
        TComboBox *Typ;
        TLabel *Napis;
        TImage *RobaqImage;
        TSpeedButton *OkSpeedButton;
        TSpeedButton *CancelSpeedButton;
        TLabel *Label3;
        TLabel *Label4;
        TPanel *PanelWsp7r;
        TEdit *w27;
        TEdit *w37;
        TEdit *w47;
        TEdit *w57;
        TEdit *w67;
        TPanel *PanelWsp7t;
        TEdit *w11;
        TEdit *w12;
        TEdit *w13;
        TEdit *w14;
        TEdit *w15;
        TEdit *w16;
        TEdit *w17;
        TPanel *PanelWsp7b;
        TEdit *w71;
        TEdit *w72;
        TEdit *w73;
        TEdit *w74;
        TEdit *w75;
        TEdit *w76;
        TEdit *w77;
        TPanel *PanelWsp7l;
        TEdit *w21;
        TEdit *w31;
        TEdit *w41;
        TEdit *w51;
        TEdit *w61;
        TEdit *Edit13;
        TPanel *PanelWsp5Caly;
        TEdit *Edit19;
        TPanel *PanelWsp5t;
        TEdit *w22;
        TEdit *w23;
        TEdit *w24;
        TEdit *w26;
        TEdit *w25;
        TPanel *PanelWsp5b;
        TEdit *w62;
        TEdit *w63;
        TEdit *w64;
        TEdit *w66;
        TEdit *w65;
        TPanel *PanelWsp5l;
        TEdit *w32;
        TEdit *w42;
        TEdit *w52;
        TEdit *Edit17;
        TPanel *PanelWsp5r;
        TEdit *w36;
        TEdit *w46;
        TEdit *w56;
        TEdit *Edit20;
        TPanel *PanelWsp3Caly;
        TEdit *w33;
        TEdit *w43;
        TEdit *w53;
        TEdit *Edit24;
        TEdit *w34;
        TEdit *w44;
        TEdit *w54;
        TEdit *w35;
        TEdit *w45;
        TEdit *w55;
        TCheckBox *AbsoluteCheckBox;
        void __fastcall RozmiarChange(TObject *Sender);
        void __fastcall RodzajClick(TObject *Sender);
        void __fastcall wKeyPress(TObject *Sender, char &Key);
        void __fastcall RozmiarClick(TObject *Sender);
        void __fastcall TypClick(TObject *Sender);
        void __fastcall CancelSpeedButtonClick(TObject *Sender);
        void __fastcall OkSpeedButtonClick(TObject *Sender);
        void __fastcall LevelTrackBarKeyPress(TObject *Sender, char &Key);
        void __fastcall RobaqImageDblClick(TObject *Sender);
        void __fastcall FormCreate(TObject *Sender);
protected:	// User declarations
        void __fastcall SetMatrix7Enabled(bool nEnabled);
        void __fastcall SetMatrix5Enabled(bool nEnabled);
        void __fastcall SetMatrix3Enabled(bool nEnabled);
        void __fastcall SetMatrix1Enabled(bool nEnabled);
        void __fastcall UpdateMatrixSize(int nFilterSize);
        int __fastcall UpdateWspTable(Extended *wTbl,int tblSize);
        int __fastcall UpdateAdditionalParams();
public:		// User declarations
        __fastcall TUsrFilterForm(TComponent* Owner);
        int FilterSize;
        Extended *WspTable;
        Extended Divider;
        Extended Adder;
};
//---------------------------------------------------------------------------
extern PACKAGE TUsrFilterForm *UsrFilterForm;
//---------------------------------------------------------------------------
#endif
